%define major_nspr 4
%define epoch_nspr 1
%define lib_nspr_name %mklibname nspr %{major_nspr}
%define major_nss 3
%define epoch_nss 1
%define epoch_mozilla 0
%define lib_nss_name %mklibname nss %{major_nss}
#warning : always end release date with 00 
# (it should be the hour of build but it is not significant for rpm)
%define releasedate 2005032200
%define french_policy 0
%define dirversion  %{version}
%define mozillalibdir %{_libdir}/mozilla-%{dirversion}
%define mozillaplugindir %{_libdir}/mozilla/plugins
%define mozillaincludedir %{_includedir}/mozilla-%{dirversion}
%define mozillaidldir %{_datadir}/idl/mozilla-%{dirversion}
%define build_enigmail   1
%define build_xmlterm	 0
%define enable_svg       1
%define build_is_final   1
%define enable_l10n      1
%define build_debug      0
%define build_corefonts	 0
%define build_ggdefaults 0
%define build_gtk	 0
%define build_pie	 0
%define build_pango	 1
%define build_nspr_nss   0

%define toolkit		 gtk2

# used for enigmail and protozilla sources:
%define enigmail_version 0.89.6
%define ipc_version      1.1.2

%{?_with_enigmail: %global build_enigmail 1}

# Build a mozilla with debug enabled
%{?_with_mydebug: %global build_debug 1}
%{?_without_mydebug: %global build_debug 0}

# Use corefonts as default (Patch105)
%{?_with_corefonts: %global build_corefonts 1}
%{?_without_corefonts: %global build_corefonts 0}

# Enable/Disable some annoying parameters as defaults, e.g.
# - disable remote images in mail/news to avoid self bannering
# - enable pipelining
# - enable a4 paper
%{?_with_ggdefaults: %global build_ggdefaults 1}
%{?_without_ggdefaults: %global build_ggdefaults 0}

# Build with gtk (gtk1) toolkit instead of gtk2
%{?_with_gtk: %global build_gtk 1}
%{?_without_gtk: %global build_gtk 0}

# Enable pie (Position Independent Executable)
%{?_with_pie: %global build_pie 1}
%{?_without_pie: %global build_pie 0}

# Enable Pango 
%{?_with_pango: %global build_pango 1}
%{?_without_pango: %global build_pango 0}

# Build nspr/nss packages
%{?_with_nspr: %global build_nspr_nss 1}
%{?_without_nspr: %global build_nspr_nss 0}

%if %{build_gtk}
%define build_xmlterm	1
%define toolkit		gtk
%endif

Name:      mozilla
Summary:   Mozilla, open-source web browser
Version:   1.7.6
Release:   3mdk
License:   MPL
Source0:   ftp://ftp.mozilla.org/pub/mozilla/releases/mozilla%{version}/src/mozilla-source-%{version}.tar.bz2
Source2:   mozilla_16.png
Source3:   mozilla_32.png
Source4:   mozilla_48.png
Source5:   mozilla-bookmarks-mdk101.tar.bz2
Source6:   mozilla-1.7-libart_lgpl.tar.bz2
%if %{enable_l10n}
Source7:   mozilla-%{version}-l10n.tar.bz2
%endif
# (fc) 0.9.8-1mdk fix loading of file through command line (contributed by Chmouel) ,
# set MOZ_PLUGIN_PATH to $HOME/.mozilla/plugins, autodetect locale, add -splash parameter
Source10:  mozilla-1.0.0-sh.in.bz2
Source21:  http://enigmail.mozdev.org/dload/src/ipc-%{ipc_version}.tar.bz2
Source22:  http://enigmail.mozdev.org/dload/src/enigmail-%{enigmail_version}.tar.bz2
Source23:  mdkbugzilla.gif
Source24:  mozilla-1.6-startmail.tar.bz2
Source25:  mozilla-make-package.pl
Source26:  mozilla-rebuild-databases.pl.in
Source27:  mozilla-xpcom-exclude-list
Source28:  mozilla-psm-exclude-list
Source29:  mozillaplugins.sh.in.bz2
Source30:  mozillaplugins.csh.in.bz2
#Source31:  enigmail-%{enigmail_version}-l10n.tar.bz2

# (fc) 1.1-0.beta.1mdk remove Debug menu
Patch0:    mozilla-1.7-no-debug-overlay-menu.patch.bz2
Patch7:    mozilla-browser-home-page.patch.bz2
Patch12:   mozilla-1.7-psfonts.patch.bz2
Patch13:   mozilla-nspr-packages.patch.bz2
# (fc) 0.9.6-3mdk remove buildid from titlebar (Ximian)
Patch23:   mozilla-1.1-remove-buildid-from-title.patch.bz2
# (fc) 0.9.6-3mdk fix french policy
Patch24:   mozilla-0.9.6-frenchpolicy.patch.bz2
# (fc) 1.0.rc2.1mdk make default plugin less annoying (Mozilla official RPM)
Patch27:   mozilla-default-plugin-less-annoying.patch.bz2
# (gg) 1.4-14mdk use Standard Symbols L too for MathML
Patch42:   mozilla-1.6-mathml-standardsymbolsl.patch.bz2
# (gg) 1.4-14mdk fix problem with time font in MathML
Patch43:   mozilla-mathml-times.patch.bz2

# (fc) 1.1-0.branch.1mdk use standard mozilla packaging tool for enigmail/enigmime
Patch46:   mozilla-1.7-enigmail-package.patch.bz2
# (fc) 1.1-0.branch.1mdk fix spellchecker includes
Patch47:   mozilla-1.1-spellcheckerinclude.patch.bz2
# (gb) 1.1-4mdk myspell dictionaries are in /usr/share/dict/ooo/
Patch53:   mozilla-1.1-system-myspell-dicts.patch.bz2
# (gb) 1.1-4mdk hack to handle OOo myspell dictionaries file name
Patch54:   mozilla-1.7-spellcheck-full-langname.patch.bz2
# (fc) 1.3-0.alpha.2mdk google is now search engine by default, add mdk bugzilla in search engines list
Patch59:   mozilla-1.7-search.patch.bz2
# (fc) 1.4-0.alpha.1mdk allow to change UI font (rawhide + ghibo)
Patch62:   mozilla-1.3-uifont.patch.bz2
#
# (gg) 1.3-2mdk enabled default pipelining
Patch100:  mozilla-1.7-pipelining.patch.bz2
# (gg) Disable remote image "selfbannering" on mailnews
Patch101:  mozilla-1.7-disable-mailnews-remoteimage.patch.bz2
# (gg) Add some dir to the freetype2 font path
Patch102:  mozilla-1.7-freetype2-antialias-path.patch.bz2
# (gg) Enable "A4" paper by default instead of "letter"
Patch104:  mozilla-1.7-a4paper.patch.bz2
# (gg) Patch for default font names for x-western
Patch105:  mozilla-1.7-corefonts-fontnames.patch.bz2
# (gg) 1.4-4mdk patches for MathML (bug #176290)
Patch113:  mozilla-176290_127030.patch.bz2
# (fc) 1.4-9mdk Add IGP Brasil CA certificate
Patch131:  mozilla-1.4-igp-brasil.patch.bz2
# (fc) 1.4-10mdk use xvt instead of xterm
Patch132:  mozilla-1.7-xvt.patch.bz2
# (gg) 1.4-15mdk workaround problems with prdtoa (merged from RH)
Patch174:  mozilla-1.4-prdtoa.patch.bz2
# (gg) 1.4-15mdk patch for using -pie for linking mozilla-bin (merged from RH)
Patch178:  mozilla-1.4.1-pie.patch.bz2
# (fc) 1.6-5mdk add missing files for gtk2 (merged for usr-local-bin)
Patch179:  mozilla-1.6-missinggtk2.patch.bz2
# (fc) 1.6-10mdk fix separator key (Mdk bug 376)
Patch181:  mozilla-1.6-separator.patch.bz2
# (fc) 1.7-2mdk fix frame loading in gecko (Fedora) (Mozilla bug #195078)
Patch183:  mozilla-1.6-frameload.patch.bz2
# (fc) 1.7-4mdk fix parent window level with modal dialogs (Moz bug #194323) (CVS)
Patch191:  mozilla-1.7-parent.patch.bz2
# (fc) 1.7-4mdk fix repaint over settimeout (Moz bug #249061) (CVS)
Patch192:  mozilla-1.7-repaint.patch.bz2
# (fc) 1.7-4mdk fix plaintext encoding in HTML message (Moz bug #238165) (CVS)
Patch194:  mozilla-1.7-plaintext.patch.bz2
# (fc) 1.7-4mdk don't access freed rendering context (Moz bug #251136) (CVS)
Patch201:  mozilla-1.7-renderingfreed.patch.bz2
# (fc) 1.7.2-10mdk initial startup as maximized 
Patch251:  mozilla-1.7.5-defaultsize.patch.bz2
# (fc) 1.7.3-1mdk try to load castella PKCS#11 module if available
Patch257:  mozilla-1.6-castella.patch.bz2
# (fc) 1.7.3-2mdk fix compilation with latest freetype2 (Moz bug #234035)
Patch258:  mozilla-1.7.3-freetype-compile.patch.bz2
# (fc) 1.7.3-2mdk GTK2 file chooser (Fedora/CVS)
Patch260:  mozilla-1.7.5-gtkfilechooser.patch.bz2
# (fc) 1.7.3-2mdk fix pkgconfig calls (Moz bug #261090)
Patch262:  mozilla-1.7.3-pkgconfig.patch.bz2
# (fc) 1.7.3-2mdk prevent inlining of stack direction detection (RH bug #135255)
Patch267:  mozilla-1.7.3-stack-direction.patch.bz2
# (fc) 1.7.3-2mdk Fix problem where default apps aren't showing up in the download dialog (RH bug #136261) (Fedora)
Patch268:  mozilla-1.7.3-gnome-vfs-default-app.patch.bz2
# (fc) 1.7.3-2mdk Pango rendering (Fedora)
Patch269:  mozilla-1.7.3-pango-render.patch.bz2
# (fc) 1.7.3-2mdk fix dynamic library loading on 64bit system (gb)
Patch270:  mozilla-1.6-lib64.patch.bz2
# (fc) 1.7.3-2mdk fix nspr-config script to be 64bit friendly (gb)
Patch271:  mozilla-1.6-lib64-nspr.patch.bz2
# (fc) 1.7.5-2mdk use pango for selection (Fedora)
Patch272:  mozilla-1.7.5-pango-selection.patch.bz2
# (fc) 1.7.5-2mdk fix spacing in textarea when using pango for rendering (Fedora)
Patch273:  mozilla-1.7.5-pango-space-width.patch.bz2
# (gb) 1.7.5-5mdk fix loading of libXext.so.6 and libXt.so.6 
Patch274:  mozilla-load-full-dso.patch.bz2
# (fc) 1.7.5-5mdk enable automatic language detection at startup (Debian)
Patch276:  mozilla-1.7.5-lang.patch.bz2
# (fc) 1.7.5-5mdk don't call netstat to set entropy (Debian) (Mdk bug #9427)
Patch277:  mozilla-1.7.5-fixrandom.patch.bz2
# (fc) 1.7.5-5mdk ignore unknown mouse button event (Debian)
Patch278:  mozilla-1.7.5-unknownmousebutton.patch.bz2
# (fc) 1.7.5-8mdk add subkeys.pgp.net to default servers list in enigmail (Mdk bug #12887)
Patch279:  mozilla-1.7.5-enigmaildefaultserver.patch.bz2
# (fc) 1.7.6-3mdk fix JS vulnerability (CVS) (Moz bug #288688)
Patch280:  mozilla-1.7.6-jsvulnerability.patch.bz2
# (fc) 1.7.6-3mdk add env variable to disable GNOME uri handler (Fedora)
Patch281:  mozilla-1.6-gnome-uriloader.patch.bz2

Epoch:     %{epoch_mozilla}
Conflicts: j2re = 1.4.0-beta3
Conflicts: j2sdk = 1.4.0-beta3

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libjpeg-devel libpng-devel libIDL-devel
BuildRequires:  zip tcsh libXft2-devel
BuildRequires:  gtk+2-devel >= 2.4.0
BuildRequires:  gnome-vfs2-devel
BuildRequires:  krb-devel
%if %{build_nspr_nss}
BuildRequires:  nss-devel
%endif

%if %{build_nspr_nss}
PreReq:		%{lib_nspr_name} >= %{epoch_nspr}:%{version}-%{release} 
%else
PreReq:		%{lib_nspr_name} 
%endif
PreReq:		perl psmisc
%if %{build_nspr_nss}
Requires:	%{lib_nss_name} = %{epoch_nss}:%{version}-%{release} 
%else
Requires:	%{lib_nss_name}
%endif
Requires:	indexhtml 
Requires:	mailcap
Requires:	gtk+2 >= 2.4.0

Group:		Networking/WWW
Url:		http://www.mozilla.org
Obsoletes:	mozilla-xpcom mozilla-browser mozilla-psm mozilla-ctl
Provides:	mozilla-xpcom = %{version}-%{release}
Provides:	mozilla-browser = %{version}-%{release}
Provides:	mozilla-psm = %{version}-%{release}
Provides:	mozilla-ctl = %{version}-%{release}
Provides:	webclient

%description
Mozilla is an open-source web browser, designed for standards
compliance, performance and portability. 

%if %{build_nspr_nss}
%package -n %{lib_nspr_name}
Epoch:		%{epoch_nspr}
License:	MPL/GPL
URL:		http://www.mozilla.org/projects/nspr/index.html
Summary:	Netscape Portable Runtime Library
Group:		System/Libraries
Obsoletes:	nspr
Provides:	nspr = %{version}-%{release}
Provides:	mozilla-nspr = %{version}-%{release}
Conflicts:	mozilla < 0.9.9

%description -n %{lib_nspr_name}
NSPR provides platform independence for non-GUI operating system
facilities. These facilities include threads, thread synchronization,
normal file and network I/O, interval timing and calendar time, basic
memory management (malloc and free) and shared library linking.

%package -n %{lib_nspr_name}-devel
Epoch:		%{epoch_nspr}
Summary:	Netscape Portable Runtime library - development files
Group:		Development/C++
Requires:	%{lib_nspr_name} = %{epoch_nss}:%{version}-%{release}
Obsoletes:	nspr-devel
Provides:	nspr-devel = %{version}-%{release}
Provides:	libnspr-devel = %{version}-%{release}

%description -n %{lib_nspr_name}-devel
Header files for doing development with the Netscape Portable Runtime.

%package -n %{lib_nss_name}
Epoch:		%{epoch_nss}
License:	MPL/GPL
URL:		http://mozilla.org/projects/security/pki/nss/
Summary:	Network Security Services (NSS)
Group:		System/Libraries
Provides:	mozilla-nss = %{version}-%{release}

%description -n %{lib_nss_name}
Network Security Services (NSS) is a set of libraries designed 
to support cross-platform development of security-enabled server 
applications. Applications built with NSS can support SSL v2 and v3, 
TLS, PKCS #5, PKCS #7, PKCS #11, PKCS #12, S/MIME, X.509 v3 certificates,
and other security standards. 

%package -n %{lib_nss_name}-devel
Epoch:		%{epoch_nss}
Summary:	Network Security Services (NSS) - development files
Group:		Development/C++
Requires:	%{lib_nss_name} = %{epoch_nss}:%{version}-%{release}
Requires:	%{lib_nspr_name}-devel = %{epoch_nspr}:%{version}-%{release}
Provides:	libnss-devel = %{version}-%{release}
Provides:	nss-devel = %{version}-%{release}

%description -n %{lib_nss_name}-devel
Header files to doing development with Network Security Services.
%endif 

%package devel
Summary:	Mozilla development files
Group:		Development/Other
Requires:	%{name} = %{epoch_mozilla}:%{version}-%{release}
Requires:	%{lib_nspr_name}-devel 
%description devel
Mozilla development files

%package mail
Summary:	Mozilla-based mail system
Group:		Networking/Mail
PreReq:		%{name} = %{epoch_mozilla}:%{version}-%{release}

%description mail
Mail/news client based on the Mozilla web browser.  The mail/news
client supports IMAP, POP, and NNTP and has an easy to use interface.

%package irc
Summary:	IRC support for Mozilla.
Group:		Networking/IRC
PreReq:		%{name} = %{epoch_mozilla}:%{version}-%{release}
Provides:	%{name}-chatzilla %{name}-chat
Obsoletes:	%{name}-chatzilla %{name}-chat

%description irc
irc support for Mozilla.

%package xmlterm
Summary:	XML enabled Terminal Client for Mozilla
Group:		Networking/Other
Prereq:		%{name} = %{epoch_mozilla}:%{version}-%{release}

%description xmlterm
This is a terminal client written for mozilla that has special capabilities.
When combined with the xls, and xcat programs, you can get directory listings 
with thumbnails for images, and you can cat known file types 
and view them inline.

%package js-debugger
Summary: JavaScript debugger for use with Mozilla
Group: Networking/WWW
Prereq: %{name} = %{epoch_mozilla}:%{version}-%{release}

%description js-debugger
JavaScript debugger for use with Mozilla.

%package dom-inspector
Summary: A tool for inspecting the DOM of pages in Mozilla.
Group: Networking/WWW
Prereq: %{name} = %{epoch_mozilla}:%{version}-%{release}

%description dom-inspector
This is a tool that allows you to inspect the DOM for web pages in
Mozilla.  This is of great use to people who are doing Mozilla chrome
development or web page development.


%package spellchecker
Summary: Spellchecker for Mozilla
Group: Networking/Mail
Prereq: %{name} = %{epoch_mozilla}:%{version}-%{release}
Requires: myspell-dictionary

%description spellchecker
Spellchecker package for Mozilla.

%if %build_enigmail
%package enigmail
Summary: GPG encryption support for Mozilla
Group: Networking/Mail
Prereq: %{name} = %{epoch_mozilla}:%{version}-%{release}
Requires: mozilla-enigmime = %{epoch_mozilla}:%{version}-%{release}
Requires: gnupg

%description enigmail
GPG encryption support for Mozilla

%package enigmime
Summary: Inter-process communication required for enigmail
Group: Networking/Mail
Prereq: %{name} = %{epoch_mozilla}:%{version}-%{release}
Requires: %{name}-mail = %{epoch_mozilla}:%{version}-%{release}

%description enigmime
Inter-process communication required for enigmail
%endif

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -c %{name}-%{version} -a 6
%setup -T -D -n %{name}-%{version}/mozilla

%patch47 -p1 -b .spellcheckinclude

%if %build_enigmail
%setup -T -D -n %{name}-%{version}/mozilla/extensions -q -a21
%setup -T -D -n %{name}-%{version}/mozilla/extensions -q -a22
%setup -T -D -n %{name}-%{version}/mozilla
%endif

#those patches are commented for "final" version of mozilla
%if !%build_is_final
%patch0 -p1 -b .nodebug
%patch23 -p1 -b .nobuildid
%endif

%patch7 -p1 -b .browser-home-page

%patch12 -p1 -b .psfont
%patch13 -p1 -b .nspr
%if %french_policy
%patch24 -p1 -b .frenchpolicy
%endif
%patch27 -p1 -b .defaultplugin
%patch42 -p1 -b .standardsym
%patch43 -p1 -b .mathmltimes

%patch46 -p1 -b .enigmailpackage
%patch53 -p1 -b .spellcheck-system-dicts
%patch54 -p1 -b .spellcheck-full-langname
%patch59 -p1 -b .search
%patch62 -p1 -b .uifont

%if %build_ggdefaults
%patch100 -p1 -b .pipelining
%patch101 -p1 -b .mailnews
%patch102 -p1 -b .antialias
%patch104 -p1 -b .a4
%endif

%if %build_corefonts
%patch105 -p1 -b .corefonts
%endif

# MathML patches
%patch113 -p1 -b .mathml

# Other patches
%patch131 -p1 -b .brasil
%patch132 -p1 -b .xvt
%patch174 -p1 -b .prdtoa
%if %build_pie
%patch178 -p1 -b .pie
autoconf
%endif

%if ! %build_gtk
%patch179 -p1 -b .missinggtk2
%endif
%patch183 -p1 -b .frameload
%patch191 -p1 -b .parent
%patch192 -p1 -b .repaint
%patch194 -p1 -b .plaintext
%patch201 -p1 -b .renderingfreed
%patch251 -p1 -b .defaultsize
%patch257 -p1 -b .castella
%if %build_ggdefaults
%patch258 -p1 -b .freetype-compile
%endif
%if !%build_gtk
%patch260 -p1 -b .gtkfilechooser
%endif
%patch262 -p1 -b .pkgconfigfix
%patch267 -p1 -b .stackdirection
%patch268 -p1 -b .gnomevfsdefaultapp
%if %build_pango
%patch269 -p1 -b .pango
%patch272 -p1 -b .pango-selection
%patch273 -p1 -b .pango-space-width
%endif
%patch270 -p1 -b .lib64
%patch271 -p1 -b .nsprlib64
%patch274 -p1 -b .load-full-dso
%patch276 -p1 -b .lang
%patch277 -p1 -b .fixrandom
%patch278 -p1 -b .unknownmousebutton
%patch279 -p1 -b .enigmaildefaultserver
%patch280 -p1 -b .jsvulnerability
%patch281 -p1 -b .gnome-uriloader

#needed by patch 182 & 205 & 262
autoconf

%patch181 -p1 -b .separator

# needed by patch 131 (regenerate certdata.c)
cd security/nss/lib/ckfw/builtins
perl ./certdata.perl < ./certdata.txt
cd -

rm -f profile/defaults/bookmarks.html
touch profile/defaults/bookmarks.html
cp %{SOURCE23} xpfe/components/search/datasets

tar xjf %{SOURCE24} -C mailnews/base/resources/locale/en-US

# let jars get compressed
%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

%build
export MOZ_BUILD_DATE="%{releasedate}"

# Build with -fabi-version=1 when compiling with gcc3.4+ so that a
# certain level of compatibility is kept to run Sun's Java plugin
GCC_VERSION=`gcc -dumpversion | perl -pe '/(\d+)\.(\d)\.?(\d)?/; $_="$1$2".($3||0)'`
[[ $GCC_VERSION -ge 340 ]] && export CXXFLAGS="-fabi-version=1"

OPT_FLAGS="$RPM_OPT_FLAGS"

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 MOZ_INTERNAL_LIBART_LGPL=1 ./configure \
	--prefix=%{_prefix} --libdir=%{_libdir} \
	--enable-optimize="$OPT_FLAGS" \
	--disable-strip \
%if %build_debug
	--enable-debug \
%else
	--disable-debug \
%endif
	--disable-pedantic \
%if %build_pie
	--enable-pie \
%endif
	--disable-tests \
	--enable-crypto --enable-nspr-autoconf \
	--with-default-mozilla-five-home=%{mozillalibdir} \
	--enable-extensions --disable-short-wchar \
	--enable-xinerama \
	--enable-mathml \
%if %{build_nspr_nss}
	--without-system-nspr --without-system-nss \
%else
	--with-system-npsr --with-system-nss \
%endif
	--with-system-zlib --with-system-png \
	--with-system-jpeg --enable-ipv6 \
	--enable-old-abi-compat-wrappers --mandir=%{_mandir} \
%if %enable_svg
	--enable-svg \
	--enable-svg-renderer-libart \
%endif
	--enable-xft \
%if %build_ggdefaults
	--enable-freetype2 \
%else
	--disable-freetype2 \
%endif
%if %build_pango
	--enable-pango \
%endif
	--enable-default-toolkit=%{toolkit}

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -s export
#only this part should be parallel (ie use make macro)
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s libs

%if %build_enigmail
cd extensions/ipc
./makemake
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s
cd ../enigmail
./makemake -r
BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %make -s
(cd lang
 BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 make -s
)
cd ../..
%endif

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{mozillalibdir}/plugins

BUILD_OFFICIAL=1 MOZILLA_OFFICIAL=1 %makeinstall_std

%if %{build_nspr_nss}
#move nspr/nss to %{_libdir}
mv $RPM_BUILD_ROOT%{mozillalibdir}/{libnspr4.so,libplc4.so,libplds4.so,libnss3.so,libnssckbi.so,libsmime3.so,libsoftokn3.so,libssl3.so,libsoftokn3.chk} $RPM_BUILD_ROOT%{_libdir}

# create a list of all of the different package and the files that
# will hold them
rm -f %{_tmppath}/mozilla-nspr.list

%{SOURCE25} --package nspr \
    --output-file %{_tmppath}/mozilla-nspr.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{_libdir} \
    --install-root %{_libdir}

rm -f %{_tmppath}/mozilla-nss.list
%{SOURCE25} --package nss \
    --output-file %{_tmppath}/mozilla-nss.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{_libdir} \
    --install-root %{_libdir}
%endif

rm -f %{_tmppath}/mozilla.list
%{SOURCE25} --package langenus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%{SOURCE25} --package regus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%{SOURCE25} --package deflenus \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%{SOURCE25} --package xpcom \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir} \
    --exclude-file=%{SOURCE27}

%{SOURCE25} --package browser \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

# workaround for bug 81429
(cd $RPM_BUILD_ROOT%{mozillalibdir} 
ln -s ../libnssckbi.so libnssckbi.so
)


rm -f %{_tmppath}/mozilla-mail.list
%{SOURCE25} --package mail --output-file %{_tmppath}/mozilla-mail.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%{SOURCE25} --package psm \
    --output-file %{_tmppath}/mozilla.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir} \
    --exclude-file=%{SOURCE28}

rm -f %{_tmppath}/mozilla-chat.list
%{SOURCE25} --package chatzilla --output-file %{_tmppath}/mozilla-chat.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

rm -f %{_tmppath}/mozilla-js-debugger.list
%{SOURCE25} --package venkman \
    --output-file %{_tmppath}/mozilla-js-debugger.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

rm -f %{_tmppath}/mozilla-dom-inspector.list
%{SOURCE25} --package inspector \
    --output-file %{_tmppath}/mozilla-dom-inspector.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

rm -f %{_tmppath}/mozilla-spellchecker.list
%{SOURCE25} --package spellcheck \
    --output-file %{_tmppath}/mozilla-spellchecker.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

%if %build_enigmail
#hack to get the enigmail stuff to install:
for i in components/enigmime.xpt components/ipc.xpt components/libenigmime.so \
	components/enigmail.js components/enigmail.xpt chrome/enigmail.jar \
	components/enigprefs-service.js chrome/enigmail-skin.jar \
	chrome/enigmime.jar defaults/pref/enigmail.js chrome/enigmail-en-US.jar ; do 
		install dist/bin/$i $RPM_BUILD_ROOT/%{mozillalibdir}/$i;
done

chmod 644 $RPM_BUILD_ROOT/%{mozillalibdir}/defaults/pref/enigmail.js
perl -pi -e 's|agentPath",""|agentPath","/usr/bin/gpg"|' $RPM_BUILD_ROOT/%{mozillalibdir}/defaults/pref/enigmail.js 

rm -f %{_tmppath}/mozilla-enigmail.list
%{SOURCE25} --package enigmail \
    --output-file %{_tmppath}/mozilla-enigmail.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}

cd $RPM_BUILD_ROOT%{mozillalibdir}/chrome
#tar -xjf %{SOURCE31} 
for i in enigmail-*-*.jar ; do 
 RPMLANG=`echo $i | cut -d '-' -f 2`
 if [ "$RPMLANG" = "en" ]; then 
  echo "%{mozillalibdir}/chrome/$i" >> %{_tmppath}/mozilla-enigmail.list
 else
  echo "%lang($RPMLANG) %{mozillalibdir}/chrome/$i" >> %{_tmppath}/mozilla-enigmail.list
 fi
done
cd -

rm -f %{_tmppath}/mozilla-enigmime.list
%{SOURCE25} --package enigmime \
    --output-file %{_tmppath}/mozilla-enigmime.list \
    --package-file xpinstall/packager/packages-unix \
    --install-dir $RPM_BUILD_ROOT%{mozillalibdir} \
    --install-root %{mozillalibdir}
%endif

# copy xmlterm files
%if %{build_xmlterm}
/bin/cp -rL dist/bin/{xmlterm,xcat,xenv,xls}  $RPM_BUILD_ROOT%{_bindir} || \
	/bin/cp -r dist/bin/{xmlterm,xcat,xenv,xls}  $RPM_BUILD_ROOT%{_bindir}
/bin/cp -rL dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{mozillalibdir}/chrome || \
	/bin/cp -r dist/bin/chrome/xmlterm.jar  $RPM_BUILD_ROOT%{mozillalibdir}/chrome
/bin/cp -rL dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{mozillalibdir}/components || \
	/bin/cp -r dist/bin/components/*xmlterm*  $RPM_BUILD_ROOT%{mozillalibdir}/components
%endif

# install l10n files
%if %{enable_l10n}
pushd `pwd`
cd $RPM_BUILD_ROOT%{mozillalibdir}/chrome
bzcat %{SOURCE7} | tar xvf -
chmod 644 *.jar
for i in `ls *-*.jar | grep -v enigmail | grep -v unix | grep -v content | grep -v win | grep -v mac | grep -v en-US | grep -v embed-sample` ; do
 RPMLANG=`echo $i |cut -d '-' -f 1`
 echo "%lang($RPMLANG) %{mozillalibdir}/chrome/$i" >> %{_tmppath}/mozilla.list
 UNIXFILE=`echo $i | sed -e 's/-*.jar/-unix.jar/'`
 [ -f $UNIXFILE ] && echo "%lang($RPMLANG) %{mozillalibdir}/chrome/$UNIXFILE" >> %{_tmppath}/mozilla.list
 UNIXFILE=`echo $i | cut -d '-' -f 1`
 UNIXFILE="$UNIXFILE-unix.jar"
 [ -f $UNIXFILE ] && echo "%lang($RPMLANG) %{mozillalibdir}/chrome/$UNIXFILE" >> %{_tmppath}/mozilla.list
 export LOC=`echo $i | sed -e "s/.jar//"`
 cat << EOF | sed -e "s/@LOCALE@/$LOC/g" -e "s/@LANG@/$RPMLANG/g" >> installed-chrome.txt
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/autoconfig/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/chatzilla/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/communicator/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/content-packs/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/cookie/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/editor/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/embed/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/forms/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/inspector/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/global/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/help/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/messenger/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/messenger-smime/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/messenger-mapi/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/mozldap/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/navigator/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/necko/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/pipnss/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/pippki/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/venkman/
locale,install,url,jar:resource:/chrome/@LOCALE@.jar!/locale/@LOCALE@/wallet/
locale,install,url,jar:resource:/chrome/@LANG@-unix.jar!/locale/@LOCALE@/global-platform/
locale,install,url,jar:resource:/chrome/@LANG@-unix.jar!/locale/@LOCALE@/communicator-platform/
locale,install,url,jar:resource:/chrome/@LANG@-unix.jar!/locale/@LOCALE@/navigator-platform/
EOF
done
echo "%{mozillalibdir}/chrome/locale.alias" >> %{_tmppath}/mozilla.list
popd
%endif

# remove duplicated entries
cat %{_tmppath}/mozilla.list | sort -k 2 | \
	grep -v "%lang(en) %{mozillalibdir}/chrome/en-unix.jar" | \
	uniq > %{_tmppath}/mozilla.list.uniq
mv -f %{_tmppath}/mozilla.list.uniq %{_tmppath}/mozilla.list

# build our initial component and chrome registry
# we don't need to do this anymore
pushd `pwd`
  cd $RPM_BUILD_ROOT%{mozillalibdir}
  # register our components
  LD_LIBRARY_PATH=`pwd`/..:`pwd` MOZILLA_FIVE_HOME=`pwd` ./regxpcom
  # set up the default skin and locale to trigger the generation of
  # the user-locales and users-skins.rdf
  echo "skin,install,select,classic/1.0" >> chrome/installed-chrome.txt
  echo "locale,install,select,en-US" >> chrome/installed-chrome.txt
  # set up the chrome rdf files
  LD_LIBRARY_PATH=`pwd`/..:`pwd` MOZILLA_FIVE_HOME=`pwd` ./regchrome
  # fix permissions of the chrome directories
  find . -type d -perm 0700 -exec chmod 755 {} \; || :
popd

# cp -L (dereference all symlinks) is required for fileutils >= 2.0.27
# (POSIX compliance); prior versions don't understand -L, so fall back...

%if %{build_nspr_nss}
# copy the nss files to the right place
mkdir -p $RPM_BUILD_ROOT%{mozillaincludedir}/nss/
find security/nss/lib/ -name '*.h' -type f -exec /bin/cp {} \
 $RPM_BUILD_ROOT%{mozillaincludedir}/nss/ \;
%endif

# build the list of include files
rm -f %{_tmppath}/mozilla-devel.list
rm -f %{_tmppath}/mozilla-nss-devel.list
rm -f %{_tmppath}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT%{mozillaincludedir}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep -v "%{mozillaincludedir}/nss" | \
  grep -v "%{mozillaincludedir}/nspr" > \
  %{_tmppath}/mozilla-devel.list

%if %{build_nspr_nss}
find $RPM_BUILD_ROOT%{mozillaincludedir}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "%{mozillaincludedir}/nspr" > \
  %{_tmppath}/mozilla-nspr-devel.list

find $RPM_BUILD_ROOT%{mozillaincludedir}/ -type f | \
  sed -e "s,$RPM_BUILD_ROOT,," | \
  grep "%{mozillaincludedir}/nss" > \
  %{_tmppath}/mozilla-nss-devel.list
%endif


# copy our devel tools
install -c -m 755 dist/bin/xpcshell \
  dist/bin/xpidl \
  dist/bin/xpt_dump \
  dist/bin/xpt_link \
  $RPM_BUILD_ROOT%{mozillalibdir}

mkdir -p $RPM_BUILD_ROOT%{_miconsdir} $RPM_BUILD_ROOT%{_liconsdir}

cp -f %SOURCE2 $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
cp -f %SOURCE3 $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
cp -f %SOURCE4 $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# move manpage in the correct directory
#mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
#mv $RPM_BUILD_ROOT/usr/man/man1/* $RPM_BUILD_ROOT%{_mandir}/man1/

# install our mozilla.sh file
bzcat %{SOURCE10} | sed -e "s|MOZILLA_VERSION|%{dirversion}|g;s|LIBDIR|%{_libdir}|g" > $RPM_BUILD_ROOT%{_bindir}/mozilla
chmod 755 $RPM_BUILD_ROOT%{_bindir}/mozilla

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
bzcat %{SOURCE29}  | sed -e "s|LIBDIR|%{_libdir}|g" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/mozillaplugins.sh
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/mozillaplugins.sh

bzcat %{SOURCE30}  | sed -e "s|LIBDIR|%{_libdir}|g" > $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/mozillaplugins.csh
chmod 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d/mozillaplugins.csh


# install our rebuild file
cat %{SOURCE26} | sed -e "s|MOZILLA_VERSION|%{dirversion}|g;s|LIBDIR|%{_libdir}|g" > \
  $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

chmod 755 \
  $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-rebuild-databases.pl

# we own /usr/lib/mozilla/plugins which is the version-independent
# place that our plugins can be installed
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# install the gre.conf file
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
echo [%{version}] >  $RPM_BUILD_ROOT%{_sysconfdir}/gre.conf
echo GRE_PATH=%{mozillalibdir} >> $RPM_BUILD_ROOT%{_sysconfdir}/gre.conf

# installs menu file
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):\
  icon="mozilla.png"\
  needs="x11"\
  section="Networking/WWW"\
  title="Mozilla"\
  longtitle="The free and open source web browser"\
  mimetypes="text/html" \
  accept_url="true" \
  multiple_files="false" \
  command="%{_bindir}/mozilla" \
  startup_notify="true"
?package(%{name}):\
  icon="mozilla.png"\
  needs="x11"\
  section="Internet/Web Editors"\
  title="Mozilla Composer"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla -edit" \
  startup_notify="true"
EOF

# installs menu file
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-mail
?package(%{name}-mail):\
  icon="mozilla.png"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla Messenger"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla  -mail" \
  startup_notify="true"
?package(%{name}-mail):\
  icon="mozilla.png"\
  needs="x11"\
  section="Networking/Mail"\
  title="Mozilla AddressBook"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla  -addressbook" \
  startup_notify="true"
?package(%{name}-mail):\
  icon="mozilla.png"\
  needs="x11"\
  section="Networking/News"\
  title="Mozilla News"\
  longtitle="The free and open source web browser"\
  command="%{_bindir}/mozilla  -news" \
  startup_notify="true"
EOF

%if %{build_xmlterm}
# installs menu file
cat << EOF >> $RPM_BUILD_ROOT%{_menudir}/%{name}-xmlterm
?package(%{name}-xmlterm):\
  icon="mozilla.png"\
  needs="x11"\
  section="Terminals"\
  title="Mozilla XTerm"\
  longtitle="XTerm implemented with Mozilla toolkit"\
  command="%{_bindir}/mozilla -terminal" \
  startup_notify="true"
EOF
%endif

bzcat %{SOURCE5} | tar -C $RPM_BUILD_ROOT%{mozillalibdir}/defaults/profile/US -xf - 

# remove unpackaged files
rm -rf $RPM_BUILD_ROOT%{mozillalibdir}/chrome/{cview,embed-sample,layoutdebug,tasks}.jar \
 $RPM_BUILD_ROOT%{mozillalibdir}/chrome/icons/default/{calendar-*,default}.xpm \
 $RPM_BUILD_ROOT%{mozillalibdir}/components/{accessproxy,content,htmlparser,iiextras,jsconsole,plugin,prefetch,dom_svg,lwbrk,xmlsecurity,ipcd,profilesharingsetup,transmngr,ucnative,layout_debug,dom_loadsave}.xpt \
 $RPM_BUILD_ROOT%{mozillalibdir}/components/{libaccessproxy,libiiextras,libnkdatetime,libnkfinger,libembed_lite,libipcdc,libtransmngr_client,libgkdebug}.so \
 $RPM_BUILD_ROOT%{mozillalibdir}/components/{nsInterfaceInfoToIDL,nsResetPref,nsUpdateNotifier}.js \
 $RPM_BUILD_ROOT%{mozillalibdir}/defaults/profile/US/chrome/*example.css \
 $RPM_BUILD_ROOT%{mozillalibdir}/defaults/profile/chrome/*example.css \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/{arrowd.gif,gfx/icon_0.gif,gfx/icon_1.gif}  \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/rdf/*test* \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/sample.unixpsfonts.properties  \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/samples/sampleimages  \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/throbber  \
 $RPM_BUILD_ROOT%{mozillalibdir}/res/viewer.properties  \
 $RPM_BUILD_ROOT%{mozillalibdir}/{timebombgen,TestGtkEmbed*,libnullplugin.so,mozilla-ipcd,tmModuleTest,TestIPC} \
 $RPM_BUILD_ROOT%{mozillalibdir}/ipc/modules/{liblockmodule,libtestmodule,libtransmgr}.so \
 $RPM_BUILD_ROOT%{mozillalibdir}/{liblockmodule,libtestmodule,libtr\ansmngr}.so 

%if %{build_xmlterm}
rm -f $RPM_BUILD_ROOT%{mozillalibdir}/{xcat,xenv,xls,xmlterm} \
 $RPM_BUILD_ROOT%{mozillalibdir}/escape \
 $RPM_BUILD_ROOT%{mozillalibdir}/mozilla-installer-bin \
 $RPM_BUILD_ROOT%{mozillalibdir}/teststream \
 $RPM_BUILD_ROOT%{mozillalibdir}/DocStream \
 $RPM_BUILD_ROOT%{mozillalibdir}/HelloWorld \
 $RPM_BUILD_ROOT%{mozillalibdir}/INSTALL.xmlterm
%endif

%if !%{build_nspr_nss}
rm -rf $RPM_BUILD_ROOT%{mozillaincludedir}/nspr \
 $RPM_BUILD_ROOT%{mozillaincludedir}/nss \
 $RPM_BUILD_ROOT%{mozillalibdir}/{libplc4.so,libplds4.so,libsmime3.so,libsoftokn3.so,libssl3.so,libnspr4.so,libnss3.so} \
 $RPM_BUILD_ROOT%{_libdir}/pkgconfig/mozilla-{nspr,nss}.pc \
 $RPM_BUILD_ROOT%{_datadir}/aclocal/nspr.m4
sed -i -e 's/mozilla-nspr = %{version}/mozilla-nspr/'   $RPM_BUILD_ROOT%{_libdir}/pkgconfig/mozilla-xpcom.pc $RPM_BUILD_ROOT%{_libdir}/pkgconfig/mozilla-js.pc
%endif

#multiarch
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/mozilla-config
%multiarch_includes $RPM_BUILD_ROOT%{_includedir}/mozilla-%{version}/{mozilla-config.h,js/jsautocfg.h}

%if %build_debug
export DONT_STRIP=1
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -f %{_tmppath}/mozilla*.list


%post
%{update_menus}
ulimit -c 0
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

# we should only rebuild database for first install
# rebuild for update is done in postun
# but it seems we need we might need to do it twince
if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

if [ "$1" = "2" ]; then
		update-alternatives --remove webclient-gnome /usr/bin/mozilla
		update-alternatives --remove webclient-kde /usr/bin/mozilla
fi

# Default to paper size from locale setting
case `LC_ALL=$LC_MESSAGES /usr/bin/locale -k LC_PAPER | grep width` in
*216) paper="letter";;
*) paper="a4";;
esac
perl -pi -e "s/^(pref\(\"print.postscript.paper_size\",[^\"]+)\"[a-z0-9]+\"/\1\"$paper\"/" \
  %{mozillalibdir}/greprefs/all.js

if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
  *server) bookmark="mozilla-powerpackplus.html" ;;
  *PowerPack)  bookmark="mozilla-powerpack.html" ;;
  *) bookmark="mozilla-discovery-download.html";;
  esac
  ln -s -f $bookmark  %{mozillalibdir}/defaults/profile/US/bookmarks.html
fi

%preun
if [ "$1" = "0" ]; then 
    /bin/rm -rf %{mozillalibdir}/chrome/overlayinfo
	/bin/rm -f %{mozillalibdir}/chrome/*.rdf
fi

%postun
## menu
%{clean_menus}
# was this an upgrade?
if [ "$1" == "2" -a -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%if %{build_nspr_nss}
%post -n %{lib_nspr_name} -p /sbin/ldconfig
%postun -n %{lib_nspr_name} -p /sbin/ldconfig
%endif

%post mail
%{update_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun mail
%{clean_menus}
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null

if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi


%post irc
if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun irc
if [ -x %{mozillalibdir}mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post xmlterm
%{update_menus}
if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi


%postun xmlterm
%{clean_menus}
if [ -x %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post js-debugger
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun js-debugger
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post dom-inspector
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun dom-inspector
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post spellchecker
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun spellchecker
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%if %build_enigmail
%post enigmail
if [ -f %{mozillalibdir}/chrome/installed-chrome.txt ]; then
# make sure we don't have old registration info around
   perl -pi -e 's/.*enigmail.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
  cat << EOF >> %{mozillalibdir}/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmail.jar!/content/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/modern/enigmail/
skin,install,url,jar:resource:/chrome/enigmail-skin.jar!/skin/classic/enigmail/
EOF
  cd %{mozillalibdir}/chrome/
  for i in enigmail-*-*.jar ; do
  LOC=`echo $i | sed -e "s/.jar//" -e "s/enigmail-//"`
  cat << EOF >>  %{mozillalibdir}/chrome/installed-chrome.txt
locale,install,url,jar:resource:/chrome/$i!/locale/$LOC/enigmail/
EOF
  done
  cd -
fi
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun enigmail
# only remove on uninstall
if [ "$1" = "0" ]; then 
 if [ -f %{mozillalibdir}/chrome/installed-chrome.txt ]; then
   perl -pi -e 's/.*enigmail.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
 fi
fi
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%post enigmime
if [ -f %{mozillalibdir}/chrome/installed-chrome.txt ]; then
# make sure we don't have old registration info around
   perl -pi -e 's/.*enigmime.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
  cat << EOF >> %{mozillalibdir}/chrome/installed-chrome.txt
content,install,url,jar:resource:/chrome/enigmime.jar!/content/enigmime/
EOF
fi
if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi

%postun enigmime
# only remove on uninstall
if [ "$1" = "0" ]; then 
 if [ -f %{mozillalibdir}/chrome/installed-chrome.txt ]; then
   perl -pi -e 's/.*enigmime.*\n//' %{mozillalibdir}/chrome/installed-chrome.txt
 fi
fi

if [ -f %{mozillalibdir}/mozilla-rebuild-databases.pl ]; then
    %{mozillalibdir}/mozilla-rebuild-databases.pl
fi
%endif


%files -f %{_tmppath}/mozilla.list
%defattr(-,root,root)
%attr(755,root,root) %{_bindir}/mozilla
%attr(755,root,root) %{mozillalibdir}/mozilla-rebuild-databases.pl
%config(noreplace) %{_sysconfdir}/gre.conf
%config(noreplace) %{_sysconfdir}/profile.d/*
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_miconsdir}/*.png
%{_iconsdir}/*.png
%{_liconsdir}/*.png
%dir %{_libdir}/mozilla
%dir %{mozillaplugindir}

%ghost %{mozillalibdir}/defaults/profile/US/bookmarks.html
%{mozillalibdir}/defaults/profile/US/mozilla-*.html

%dir %{mozillalibdir}/defaults/autoconfig
%dir %{mozillalibdir}/defaults/pref
%dir %{mozillalibdir}/defaults/messenger/US
%dir %{mozillalibdir}/defaults/messenger
%dir %{mozillalibdir}/defaults/profile/US
%dir %{mozillalibdir}/defaults/profile
%dir %{mozillalibdir}/defaults/wallet
%dir %{mozillalibdir}/defaults
%dir %{mozillalibdir}/chrome
%dir %{mozillalibdir}/chrome/icons
%dir %{mozillalibdir}/chrome/icons/default
%dir %{mozillalibdir}/components
%dir %{mozillalibdir}/greprefs
%dir %{mozillalibdir}/init.d
%dir %{mozillalibdir}/res/builtin
%dir %{mozillalibdir}/res/dtd
%dir %{mozillalibdir}/res/html
%dir %{mozillalibdir}/res/samples
%dir %{mozillalibdir}/res/entityTables
%dir %{mozillalibdir}/res/rdf
%dir %{mozillalibdir}/res/fonts
%dir %{mozillalibdir}/res
%dir %{mozillalibdir}/searchplugins
%dir %{mozillalibdir}/plugins
%dir %{mozillalibdir}
%verify (not md5 mtime size) %{mozillalibdir}/components/compreg.dat
%verify (not md5 mtime size) %{mozillalibdir}/components/xpti.dat
%verify (not md5 mtime size) %{mozillalibdir}/chrome/*.rdf
%ghost %{mozillalibdir}/chrome/overlayinfo
%verify (not md5 mtime size) %{mozillalibdir}/greprefs/all.js
%if %{enable_svg}
%{mozillalibdir}/chrome/svg.jar
%{mozillalibdir}/components/gksvgrenderer.xpt
%{mozillalibdir}/res/svg.css
%endif


%files mail -f %{_tmppath}/mozilla-mail.list
%defattr(-,root,root)
%{_menudir}/%{name}-mail
%dir %{mozillalibdir}

%files irc -f %{_tmppath}/mozilla-chat.list
%defattr(-,root,root)


%files devel -f %{_tmppath}/mozilla-devel.list
%defattr (-,root,root)
%{_bindir}/mozilla-config
%multiarch %{multiarch_bindir}/mozilla-config
%multiarch %{multiarch_includedir}/mozilla-%{version}/js/jsautocfg.h
%multiarch %{multiarch_includedir}/mozilla-%{version}/mozilla-config.h
%dir  %{mozillaincludedir}/accessibility
%dir  %{mozillaincludedir}/addrbook
%dir  %{mozillaincludedir}/appcomps
%dir  %{mozillaincludedir}/appshell
%dir  %{mozillaincludedir}/autoconfig
%dir  %{mozillaincludedir}/bayesflt
%dir  %{mozillaincludedir}/browser
%dir  %{mozillaincludedir}/caps
%dir  %{mozillaincludedir}/chardet
%dir  %{mozillaincludedir}/commandhandler
%dir  %{mozillaincludedir}/composer
%dir  %{mozillaincludedir}/content
%dir  %{mozillaincludedir}/cookie
%dir  %{mozillaincludedir}/dbm
%dir  %{mozillaincludedir}/docshell
%dir  %{mozillaincludedir}/dom
%dir  %{mozillaincludedir}/downloadmanager
%dir  %{mozillaincludedir}/editor
%dir  %{mozillaincludedir}/embed_base
%dir  %{mozillaincludedir}/embedcomponents
%dir  %{mozillaincludedir}/expat
%dir  %{mozillaincludedir}/exthandler
%dir  %{mozillaincludedir}/filepicker
%dir  %{mozillaincludedir}/find
%dir  %{mozillaincludedir}/gfx
%dir  %{mozillaincludedir}/gtkxtbin
%dir  %{mozillaincludedir}/gtkembedmoz
%dir  %{mozillaincludedir}/helperAppDlg
%dir  %{mozillaincludedir}/history
%dir  %{mozillaincludedir}/htmlparser
%dir  %{mozillaincludedir}/imglib2
%dir  %{mozillaincludedir}/impComm4xMail
%dir  %{mozillaincludedir}/import
%dir  %{mozillaincludedir}/inspector
%dir  %{mozillaincludedir}/intl
%dir  %{mozillaincludedir}/ipcd
%dir  %{mozillaincludedir}/jar
%dir  %{mozillaincludedir}/java
%dir  %{mozillaincludedir}/js
%dir  %{mozillaincludedir}/jsconsole
%dir  %{mozillaincludedir}/jsdebug
%dir  %{mozillaincludedir}/jsurl
%dir  %{mozillaincludedir}/layout
%dir  %{mozillaincludedir}/layout_debug
%dir  %{mozillaincludedir}/ldap
%dir  %{mozillaincludedir}/libart_lgpl
%dir  %{mozillaincludedir}/libreg
%dir  %{mozillaincludedir}/liveconnect
%dir  %{mozillaincludedir}/locale
%dir  %{mozillaincludedir}/lwbrk
%dir  %{mozillaincludedir}/mailnews
%dir  %{mozillaincludedir}/mailview
%dir  %{mozillaincludedir}/mime
%dir  %{mozillaincludedir}/mimeemitter
%dir  %{mozillaincludedir}/mimetype
%dir  %{mozillaincludedir}/mork
%dir  %{mozillaincludedir}/mozldap
%dir  %{mozillaincludedir}/msgbase
%dir  %{mozillaincludedir}/msgbaseutil
%dir  %{mozillaincludedir}/msgcompose
%dir  %{mozillaincludedir}/msgdb
%dir  %{mozillaincludedir}/msgimap
%dir  %{mozillaincludedir}/msglocal
%dir  %{mozillaincludedir}/msgmdn
%dir  %{mozillaincludedir}/msgsmime
%dir  %{mozillaincludedir}/msgnews
%dir  %{mozillaincludedir}/necko
%dir  %{mozillaincludedir}/necko2
%dir  %{mozillaincludedir}/nkcache
%dir  %{mozillaincludedir}/oji
%dir  %{mozillaincludedir}/p3p
%dir  %{mozillaincludedir}/pipboot
%dir  %{mozillaincludedir}/pipnss
%dir  %{mozillaincludedir}/pippki
%dir  %{mozillaincludedir}/plugin
%dir  %{mozillaincludedir}/pref
%dir  %{mozillaincludedir}/prefetch
%dir  %{mozillaincludedir}/prefmigr
%dir  %{mozillaincludedir}/profdirserviceprovider
%dir  %{mozillaincludedir}/profile
%dir  %{mozillaincludedir}/profilesharingsetup
%dir  %{mozillaincludedir}/progressDlg
%dir  %{mozillaincludedir}/rdf
%dir  %{mozillaincludedir}/rdfutil
%dir  %{mozillaincludedir}/shistory
%dir  %{mozillaincludedir}/sidebar
%dir  %{mozillaincludedir}/spellchecker
%dir  %{mozillaincludedir}/string
%dir  %{mozillaincludedir}/system-pref
%dir  %{mozillaincludedir}/typeaheadfind
%dir  %{mozillaincludedir}/txmgr
%dir  %{mozillaincludedir}/txtsvc
%dir  %{mozillaincludedir}/uconv
%dir  %{mozillaincludedir}/ucvcn
%dir  %{mozillaincludedir}/ucvibm
%dir  %{mozillaincludedir}/ucvja
%dir  %{mozillaincludedir}/ucvko
%dir  %{mozillaincludedir}/ucvlatin
%dir  %{mozillaincludedir}/ucvmath
%dir  %{mozillaincludedir}/ucvtw
%dir  %{mozillaincludedir}/ucvtw2
%dir  %{mozillaincludedir}/unicharutil
%dir  %{mozillaincludedir}/uriloader
%dir  %{mozillaincludedir}/util
%dir  %{mozillaincludedir}/view
%dir  %{mozillaincludedir}/wallet
%dir  %{mozillaincludedir}/walletviewers
%dir  %{mozillaincludedir}/webbrowserpersist
%dir  %{mozillaincludedir}/webbrwsr
%dir  %{mozillaincludedir}/websrvcs
%dir  %{mozillaincludedir}/webshell
%dir  %{mozillaincludedir}/widget
%dir  %{mozillaincludedir}/windowwatcher
%dir  %{mozillaincludedir}/xlibrgb
%dir  %{mozillaincludedir}/xml-rpc
%dir  %{mozillaincludedir}/xmlextras
%if %{build_xmlterm}
%dir  %{mozillaincludedir}/xmlterm
%endif
%dir  %{mozillaincludedir}/xpcom
%dir  %{mozillaincludedir}/xpcom_obsolete
%dir  %{mozillaincludedir}/xpconnect
%dir  %{mozillaincludedir}/xpinstall
%dir  %{mozillaincludedir}/xpnet
%dir  %{mozillaincludedir}/xprintutil
%dir  %{mozillaincludedir}/xremoteservice
%dir  %{mozillaincludedir}/xul
%dir  %{mozillaincludedir}/xuldoc
%dir  %{mozillaincludedir}/xultmpl
%dir  %{mozillaincludedir}/zlib
%{mozillalibdir}/xpcshell
%{mozillalibdir}/xpidl
%{mozillalibdir}/xpt_dump
%{mozillalibdir}/xpt_link
%{_libdir}/pkgconfig/mozilla-js.pc
%{_libdir}/pkgconfig/mozilla-xpcom.pc
%{_libdir}/pkgconfig/mozilla-gtkmozembed.pc
%{_libdir}/pkgconfig/mozilla-plugin.pc
%{mozillaidldir}

%if %{build_xmlterm}
%files xmlterm
%defattr(-, root, root)
%{_bindir}/xmlterm
%{_bindir}/xcat
%{_bindir}/xls
%{mozillalibdir}/chrome/xmlterm.jar
%{mozillalibdir}/components/*xmlterm*
%{_menudir}/%{name}-xmlterm
%endif

%files js-debugger -f %{_tmppath}/mozilla-js-debugger.list
%defattr(-,root,root)

%files dom-inspector -f %{_tmppath}/mozilla-dom-inspector.list
%defattr(-,root,root)
%dir %{mozillalibdir}/res/inspector

%files spellchecker -f %{_tmppath}/mozilla-spellchecker.list
%defattr(-,root,root)
%dir %{mozillalibdir}/components/myspell

%if %build_enigmail
%files enigmail -f %{_tmppath}/mozilla-enigmail.list
%defattr(-,root,root)

%files enigmime -f %{_tmppath}/mozilla-enigmime.list
%defattr(-,root,root)
%endif

%if %{build_nspr_nss}

%files -n %{lib_nspr_name} -f %{_tmppath}/mozilla-nspr.list
%defattr(-, root, root)

%files -n %{lib_nspr_name}-devel -f %{_tmppath}/mozilla-nspr-devel.list
%defattr(-, root, root)
%dir %{mozillaincludedir}
%dir  %{mozillaincludedir}/nspr
%dir  %{mozillaincludedir}/nspr/private
%dir  %{mozillaincludedir}/nspr/md
%dir  %{mozillaincludedir}/nspr/obsolete
%{_libdir}/pkgconfig/mozilla-nspr.pc
%{_datadir}/aclocal/nspr.m4

%files -n %{lib_nss_name} -f  %{_tmppath}/mozilla-nss.list
%defattr(-, root, root)
%{_libdir}/*.chk

%files -n %{lib_nss_name}-devel -f %{_tmppath}/mozilla-nss-devel.list
%defattr(-, root, root)
%dir  %{mozillaincludedir}/nss
%{_libdir}/pkgconfig/mozilla-nss.pc
%endif

%changelog
* Tue Apr 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.6-3mdk 
- Patch279 (CVS): fix JS vulnerability (Moz bug #288688)
- Patch280 (Fedora) : add env variable to disable GNOME url handler 
- Update source26 to set HOME is not set
- remove alternatives

* Thu Mar 31 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.6-2mdk 
- Fix .pc file to allow build with devel package (Mdk bug #15009)

* Tue Mar 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.6-1mdk 
- Release 1.7.6
- Remove patches 184, 275 (merged upstream)

* Tue Mar 15 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-8mdk 
- Patch279: add subkeys.pgp.net to default servers for enigmail (Mdk bug #12887)
- Remove triggers for plugins, it is now handled in plugin packages 

* Mon Feb 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-7mdk 
- Rebuild with libnspr4/libnss3 from firefox

* Tue Feb 01 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-6mdk 
- multiarch

* Thu Jan 13 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-5mdk 
- Remove patches 177, 203 (merged upstream)
- Remove ctl patch, since we are now using pango for rendering
- Let rpm handle stripping
- Update patch251 with David Walser suggestion ie min(screensize,1024x768)
- Update specfile to locate builddir in a named and versionned subdir (can
  build firefox in parallel now)
- Patch274 (gb): fix loading of libXext.so.6 and libXt.so.6
- Patch275 (CVS): fix crash when fonts are no longer available (Moz bug #180309)
- Patch276 (Debian): enable automatic language detection at startup
- Drop language autodetection in source 10 (handled by patch276 now)
- Patch277 (Debian): don't call netstat to set entropy (Mdk bug #9427)
- Patch278 (Debian): ignore unknown mouse button event

* Tue Jan 11 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-4mdk 
- New version of patch 272 (no longer cause Mdk bug #12916)
- Enable patch273 (doesn't cause Mdk bug #12916)
- Try compressing jars

* Fri Jan 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-3mdk 
- Disable patch272 & 273 (cause Mdk bug #12916)

* Tue Dec 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-2mdk
- GTK2 file selector is back (patch 260, partially merged)
- Patch272 (Fedora): use pango for selection
- Patch273 (Fedora): fix spacing in textarea when using pango for rendering

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.5-1mdk 
- Release 1.7.5
- Enigmail 0.89.6 / IPC 1.1.2
- Remove patches 185, 186, 189, 190, 195, 196, 197, 198, 199, 200,
  202, 204, 205, 206, 207, 208, 210, 211, 212, 213, 214, 215, 216,
  217, 218, 219, 220, 221, 222, 223, 224, 226, 228, 229, 231, 232,
  233, 234, 236, 237, 238, 239, 241, 242, 243, 244, 245, 246, 247,
  248, 249, 252, 253, 254, 255, 256, 259, 260, 261, 263, 264, 265,
  266
   (merged upstream)

* Fri Nov 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.3-2mdk 
- Patch258 (CVS): fix compilation with latest freetype2 (Moz bug #234035)
- Patch259 (Fedora): Fix JS math on AMD64
- Patch260 (Fedora/CVS): GTK2 filechooser
- Patch261 (CVS): cups support (Moz bug #251754)
- Patch262 (CVS): fix pkgconfig calls (Moz bug #261090)
- Patch263 (CVS): fix tab focus stealing (yeepee) (Moz bug #124750)
- Patch264 (CVS): fix crash in accessibility on 64bit arch (Moz bug #256603)
- Patch265 (CVS): fix upstream bug 262689 (Moz bug #262689)
- Patch266 (CVS): fix dialog spoofing (Moz bug #263263)
- Patch267 (Fedora): prevent inlining of stack direction detection (RH bug #135255)
- Patch268 (Fedora): Fix problem where default apps aren't showing up in the download dialog (RH bug #136261)
- Patch269 (Fedora): Pango rendering
- Patch270 (gb): fix dynamic library loading on 64bit system
- Patch271 (gb): fix nspr-config script to be 64bit friendly
- Disable mdk bookmarks for OEM mode

* Wed Oct 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.3-1mdk
- Release 1.7.3
- Remove patches 225, 227, 230, 235, 240, 250, 257 (merged upstream)
- Patch257 : autoload Castella PKCS#11 module if available

* Fri Oct 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-11mdk
- Patch257 (CVS): fix BMP overflow (Moz bug #255067)

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-10mdk
- Update default bookmarks
- Regenerate patch189 with various fixes from CVS
- Patch251: initial start as maximized
- Patch252 (CVS): fix crash when JS attribute (Moz bug #260541)
- Patch253 (CVS): clear headers from downloaded mail (Moz bug #196749)
- Patch254 (CVS): fix XUL null pointer access (Moz bug #257607)
- Patch255 (CVS): fix crash when wrong document base element (Moz bug #244490)
- Patch256 (CVS): fix IMAP crash (Moz bug #257079)

* Tue Sep 21 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7.2-9mdk
- remove (merged) x86_64 patch

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-8mdk
- finish sync with mozilla 1.7.3 security fixes :
 - Patch250 (CVS): fix send page overflow (Moz bug #258008)

* Mon Sep 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-7mdk
- Update language packs 
- Patch243 (CVS): fix crash when submitting form (Moz bug #235923)
- Patch244 (CVS): fix keynav in combo boxes (Moz bug #219706)
- Patch245 (CVS): fix https file handling (Moz bug #257308)
- Patch246 (CVS): fix html input type element (Moz bug #246638)
- Patch247 (CVS): fix crash in mailer (Moz bug #258386)
- Patch248 (CVS): fix progressive image display (Moz bug #222901)
- Patch249 (CVS): fix HTML escaping (Moz bug #245399, 245758) 

* Mon Sep 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-6mdk
- Fix error in csh mozilla plugin script
- Update language pack
- Patch235 (CVS): clipboard scripting bugfix (Moz bug #257523)
- Patch236 (CVS): fix JS recursion (Moz bug #256501)
- Patch237 (CVS): fix DOM typo (Moz bug #257616)
- Patch238 (CVS): fix JS assertion (Moz bug #245308)
- Patch239 (CVS): fix modal dialog crash (Moz bug #222954)
- Patch240 (CVS): fix vcard crash (Moz bug #257314)
- Patch241 (CVS): fix JS LIFO deallocation crash (Moz bug #256642)
- Patch242 (CVS): fix XPConnect crash (Moz bug #256757)

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-5mdk
- Fix menu entries
- Patch227 (CVS): fix JS drag (Moz bug #250862)
- Patch228 (CVS): fix IMAP crash (Moz bug #255581)
- Patch229 (CVS): fix gnome-vfs directory detection (Moz bug #255032)
- Patch230 (CVS): fix non-ASCII url handling (Moz bug #256316)
- Patch231 (CVS): fix quirks/standard mode switching (Moz bug #178088)
- Patch232 (CVS): fix Urdu rendering (Moz bug #255566)
- Patch233 (CVS): fix line removal in editor (Moz bug #244392)
- Patch234 (CVS): fix JS popup crash (Moz bug #198254)

* Fri Aug 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-4mdk
- Fix enigmail UI files installation

* Thu Aug 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-3mdk
- Add source31 : enigmail l10n packs
- Update patch46 to add missing files for enigmail/enigmime
- Add registration scripts for enigmime & enigmail l10n packs
- Patch226 (CVS): partially fix browser initial position (Moz bug #209342)

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-2mdk 
- fix buildid
- Patch217 (CVS): fix js loop handling (Moz bug #252892)
- Patch218 (CVS): fix Object.toSource with negative number properties 
  (Moz bug #254375)
- Patch219 (CVS): fix javascript regular expression negative lookahead 
  (Moz bug #254296)
- Patch220 (CVS): fix .toSource/.toString show "setrval" instead of "return"
  (Moz bug #255245)
- Patch221 (CVS): fix regexp slashes escaping (Moz bug #248444)
- Patch222 (CVS): fix css/xhtml crash (Moz bug #239294)
- Patch223 (CVS): fix floated SELECT (Moz bug #251032)
- Patch224 (CVS): fix IMAP disconnector constant popup (Moz bug #255591)
- Patch225 (CVS): fix POP3 bugs (Moz bug #226669, #245066)
- Regenerate patches 100, 101, 102, 104, 105 (Giuseppe)

* Tue Aug 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7.2-1mdk
- Release 1.7.2
- Remove patches 187, 188, 193, 209 (merged upstream)

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-6mdk
- Add source 29, 30, update source 10 : move MOZ_PLUGIN_PATH init to profile.d 
  scripts, to be shared with other mozilla embedders (galeon, epiphany)

* Mon Aug 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-5mdk
- Update l10n kits (bug #10639)
- Patch214 (CVS): fix bullet in RTL languages (Moz bug #140611)
- Patch215 (CVS): fix P3P accept policy (Moz bug #239933)
- Patch216 (CVS): fix reading IMAP mail with attachment (Moz bug #249195)

* Thu Aug 05 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-4mdk
- Don't ship xft.js anymore, mozilla is now using gtk font settings (Mdk bug #9863)
- Enforce use of system jpeg and png libraries
- Patch190 (CVS): fix text entry with ukrainian locale
- Patch191 (CVS): fix parent window level with modal dialogs (Moz bug #194323)
- Patch192 (CVS): fix repaint over settimeout (Moz bug #249061)
- Patch193 (CVS): fix crash with huge png file (Moz bug #253782)
- Patch194 (CVS): fix plaintext encoding in HTML message (Moz bug #238165)
- Patch195 (CVS): fix filename encoding for attachement (Moz bug #247450)
- Patch196 (CVS): fix crash in RDF datasource (Moz bug #248071)
- Patch197 (CVS): fix null handling for default encoder (Moz bug #241157)
- Patch198 (CVS): fix JS link in nested frame (Moz bug #246923 + #248753)
- Patch199 (CVS): fix various memleaks
- Patch200 (CVS): fix popup blocking bugs (Moz bug #247017)
- Patch201 (CVS): don't access freed rendering context (Moz bug #251136)
- Patch202 (CVS): fix document.createRange (Moz bug #186540)
- Patch203 (CVS): fix regression in JS import/export (Moz bug #249211)
- Patch204 (CVS): fix crash in gtk mozembed (Moz bug #249520)
- Patch205 (CVS): fix linking in libnegociateauth (Moz bug #242029)
- Patch206 (CVS): fix reloading in embedded client (Moz bug #246392)
- Patch207 (CVS): fix positionning when going back (Moz bug #217120)
- Patch208 (CVS): fix mailto call in JS (Moz bug #236589)
- Patch209 (CVS): fix null in ftp filename url (Moz bug #250906)
- Patch210 (CVS): fix view source on IDN (Moz bug #201040)
- Patch211 (CVS): fix cookies bugs (Moz bugs #213963 + #240963)
- Patch212 (CVS): fix rules with empty from (Moz bug #202169)
- Patch213 (CVS): fix floating DIV painting (Moz bug #244017)

* Mon Aug 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-3mdk
- Security fixes :
  - Patch187 (CVS): lock icon and certificates spoofable (Moz bug #253121) 
  - Patch188 (CVS): importing false CA certificate can lead to DoS (Moz bug #249004)
- Patch189 (CVS) : allow "undetectable" support for document.all (Moz bug #248549)
- Enigmail 0.85.0

* Mon Jul 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-2mdk
- Enigmail 0.84.2
- Update patch 182 (not enabled by default, it crashes gecko embed)
- Patch183 (Fedora): fix frame loading (Mozilla bug #195078)
- Patch184 (Fedora): fix include paths in mozilla-xpcom.pc
- Patch185 (Fedora): fix remote options parsing (Mozilla bug #242123)
- Patch186 (Fedora): XMLSerializer corrupts namespace prefixes 
  when XHTML namespace is used (Mozilla bug #248172)

* Tue Jun 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-1mdk
- Release 1.7 final
- Enable l10n
- Regenerate patch33 (partially merged upstream)
- Remove patch36 (merged upstream)

* Wed Jun 09 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-0.rc3.1mdk
- Release 1.7rc3
- Enigmail 0.84.1

* Thu Jun  3 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.7-0.rc2.2mdk
- Rebuild with -fabi-version=1 to retain compatibility with statically
  linked Sun's JRE 1.4.2 plugin

* Wed May 12 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-0.rc2.1mdk
- Release 1.7rc2
- Regenerate patch0
- Fix Buildrequires

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-0.rc1.2mdk
- Enable SVG
- Update source7 with latest checkout from mozilla CVS libart_lgpl fork

* Wed Apr 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.7-0.rc1.1mdk
- Release 1.7rc1
- Disable L10N, no langpack
- Merge ctl package in main package, it is no longer a separate module
- Disable ctl ATM, it is causing RTL languages to be misrendered
- Enigmail 0.83.6
- Regenerate patches 12, 33 (partially merged), 54, 59, 132, 182 (new version)
- Remove patches 180 (merged upstream)
- Add source25, 26, 27, 28 : files from official rpm package needed for build,
  no longer present in tarball

* Wed Apr 21 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-13mdk
- Enable CTL for Indic language (in mozilla-ctl package, since it 
  causes bad rendering on bidi languages ATM) (Mdk bug #7738)
- Patch182 : enable Complex Text Script over Pango/Xft 

* Mon Mar 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-12mdk
- Fix typo in trigger (Mdk bug # 9099)

* Fri Mar 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-11mdk
- Update source 10: set FLASH_GTK_LIBRARY variable to workaround buggy flash 
  plugin and get correct performance (Mdk bug #8325)
- Update patch 180 (CVS): don't set black border around Xt plugins
- Tweak files list so verify rpm doesn't complain too much (Mdk bug #9039)

* Mon Mar 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-10mdk
- Fix build
- Patch181: Fix KP_Separator key (Mdk bug #376)
- Add more languages
- Update source10 to correct detect lang to use

* Fri Feb 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com 1.6-9mdk
- Fix enigmail postun script when upgrading (Mdk bug #8380)
- Update source5 with new bookmarks for Mdk 10.0
- Fix distriblint errors
- Fix triggers when upgrading java package

* Fri Feb 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-8mdk
- Update source10 to set LOGNAME and behave fine with Firefox/Thunderbird
  (Mdk bug 8117)

* Mon Feb 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-7mdk
- Put mozilla composer in Internet/Web editors (Mdk bug #7928)

* Fri Feb 13 2004  Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-6mdk
- enigmail 0.83.3
- enable l10n (Mdk bug #7285)
- really fix enigmail install (Mdk bug #6789) <tobbe@nyvalls.se>
- Own more directories
- Patch180 (CVS) : various gtk2 fixes
- Update patch7 + source 24 : change default mail splash
- gcc optimisations are back, thanks to latest gcc package.

* Fri Jan 30 2004  Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-5mdk
- Enigmail 0.83.1
- Fix enigmail install (Mdk bug #6789) by (tobbe@nyvalls.se)
- Update patches 46 & 104 (tobbe@nyvalls.se)
- Patch179 (tobbe@nyvalls.se): add missing files for gtk2 build
- Move Composer to Applications/Editors (Mdk bug #7197)

* Fri Jan 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-4mdk
- I promise, this time, epoch is fixed everywhere..

* Thu Jan 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-3mdk
- Really fixes epoch 

* Mon Jan 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-2mdk
- Add missing epoch to requires (needed for latest rpm) (Mdk bug #6905)

* Fri Jan 16 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 1.6-1mdk
- Release 1.6
- Enigmail 0.83.0 / IPC 1.0.5
- Disable l10n for now, no language pack available
- Regenerate patch 12, 42, 54 & 59 (partially merged),
- Remove patches 63, 133, 163, 171, 172, 173, 176 (merged upstream)
- Lower optimizations

* Tue Dec 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.5-1mdk
- Release 1.5
- Enigmail 0.82 / IPC 1.0.4
- Remove patches 45, 112, 115, 116, 117, 125, 128, 129, 179
- Regenerate patches 7, 132 

* Fri Nov 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4.1-1mdk
- Release 1.4.1
- Remove source 20, patch 40 (spellchecker is now part of official source)
- Remove patches 110, 111, 114, 118, 119, 120, 121, 122, 123, 124, 126, 127, 130, 134, 135, 136, 137, 138, 139, 140, 141, 142, 143, 144, 145, 146, 147, 148, 149, 150, 151, 152, 153, 154, 155, 156, 157, 158, 159, 160, 161, 162, 164, 165, 166, 167, 168, 169, 170, 175 (merged upstream)
- Regenerate patches 7, 131
- Disable l10n

* Thu Nov 13 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-17mdk
- Added Patch179 (for fixing problem with download dialog to be always on
  top, bug MOZ#204671, MDK#6345).

* Fri Nov 07 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-16mdk
- Renamed Patch176 to Patch177.
- Use Patch177 (execshield), 178 (pie) only '--with pie' enabled,
  so to prevent crashing with enigmail.

* Thu Nov 06 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-15mdk
- Triggers to RealPlayer-rpnp.
- Enigmail to release 0.76.7.
- Patched enigmail locales (Patch45).
- Updated Patch43 (mathml).
- Added Patch42 (use Standard Symbols L too for MathML).
- Added Patch134 (correctness fixes for newer g++, #216926).
- Added Patch135 (avoiding printing overlapping of text in XML, #198506).
- Added Patch136 (fix hang when STARTTLS returns failure, #98399).
- Added Patch137 (fix error occurred while creating a message compose window, #162640)
- Added Patch138 (fix url box too close to personal toolbar in modern theme, #181453).
- Added Patch139 (fix problems with "last page visited" which cannot handle framed pages properly, #58613).
- Added Patch140 (fix crash when selecting data overflowing vertically in a textarea, #175896).
- Added Patch141 (fix caret placed on invalid position in composer, #202166).
- Added Patch142 (fix for allowing S/Mime messages to use larger encrypted strings to increase strength of security, #205702).
- Added Patch143 (added Korean font KSC5601.1987-1 support, #213880).
- Added Patch144 (fix crash in Bookmarks if nsIProfile impl is not present, #210541).
- Added Patch145 (fix about:blank URI in DOMParser produced documents, #208912).
- Added Patch146 (fix error Invalid codepoint encoded in ACE label, #210734).
- Added Patch147 (fix problem with SSL being extremely flaky if Ask for Master Password is 'Every time', #195574).
- Added Patch148 (fix problems with Secure JavaScript which doesn't work from https JARs, #209560).
- Added Patch149 (fix crash when reading a posting in a newsgroup containing a "&" in its name, #210089)
- Added Patch150 (fix a regression from patch for bug #86947, see #216736).
- Added Patch151 (fix a problem with wrapping TR in tbody in XHTML, #68061).
- Added Patch152 (fix missed domstubs.h from Gecko SDK, #208460).
- Added Patch153 (removing comma at end of enumerator list, #216285).
- Added Patch154 (fix autoproxy when is used the first time browser is started, #215457).
- Added Patch155 (fix a crash occurring after 3 or more times getting an XML error page, #209539).
- Added Patch156 (fix buttons out of the dialog box when entering a new profile, #123370).
- Added Patch157 (get rid of the msg folder flag trash error, #195733).
- Added Patch158 (fix problems with "Reload all tabs" doesn't reloading all tabs after canceling/resending postdata, #210760).
- Added Patch159 (fix mail&news not closing summary files for newsgroups, #210985).
- Added Patch160 (fix crash when "@mozilla.org/nsCMSEncoder;1" is created and then deleted, MOZ#204067).
- Added Patch161 (fix a problem with download not working with non-ASCII file names, #208903).
- Added Patch162 (fix a crash on utf8 locales [OK, on HP-UX but apply anyway], #200732).
- Added Patch163 (fix bug about "paste" not possible in bookmark after a "cut", #209496).
- Added Patch164 (fix "Install error -239" registering chrome, #109044).
- Added Patch165 (fix smiley into editor, #207183).
- Added Patch166 (fix bug in Bookmark Manager/View/Show Columns menu, #207779).
- Added Patch167 (fix bug with cursor at off position before and after text is committed in JA IME, #207936).
- Added Patch168 (fix crash while opening a broken GIF, #209079).
- Added Patch169 (fix bug causing page 2-8 missed from preview after printing only page 1, #212821).
- Added Patch170 (fix bug in editor with css styles which are not used after publishing, #209086).
- Added Patch171 (fix mouse events generated by window manager, #102578).
- Added Patch172 (fix crash with Xft, ensuring to use the real size of the buffer, not the full length of the string, #213734).
- Added Patch173 (fix javascript silent failure with frames, #217000).
- Added Patch174 (workaround problems with prdtoa, merged from RH).
- Added Patch175 (security bug #221526, merged from RH).
- Added Patch176 (patch for asm files to get execshield working, merged from RH).
- Added Patch177 (fix for childwindow, bug #205492, merged from RH).
- Added Patch178 (patch for using -pie for linking mozilla-bin, merged from RH).
- Added conditional building flag for --enable-pie.

* Fri Oct 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-14mdk
- Don't use soundwrapper for mozilla, java + artsdsp doesn't mix 
  very well (Mdk bug 5975)

* Thu Sep 18 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-13mdk
- Fix french translation to not use "*.*" for all files (Mdk bug 5797)

* Thu Sep 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-12mdk
- Patch133 (CVS): set cursor correct on popup (moz bug 215951)

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-11mdk
- Update patch125 to also fix Moz bug #218203

* Wed Sep 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-10mdk
- Patch132: use xvt instead of xterm (chmouel)
- Fix j2sdk uninstall trigger

* Tue Sep 09 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-9mdk
- Patch131 : add Brasil IGP CA certificate

* Fri Sep 05 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.4-8mdk
- Updated Patch43 (MathML).
- Added Patch130 (fixed problems with event propagation & group handlers, #216237).

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-7mdk
- Fix acroread-nppdf and FlashPlayer postun trigger

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 1.4-6mdk
- Patch128 (CVS): fix handling of unicode key
- Patch129 (CVS): don't crash when shutting down a11y
- Fix (libnss/libnspr)-devel provides
- Add more translations

* Tue Sep 02 2003 David Baudens <baudens@mandrakesoft.com> 1.4-5mdk
- New bookmarks

* Wed Aug 20 2003 Frederic Crozat <fcrozat@mandrakesoft.com>
- From Giuseppe Ghib <ghibo@mandrakesoft.com> :
 - Merged changes to SPEC file made for mozilla-1.3.1-4mdk for updates-9.1.
 - Use --enable-default-toolkit=%{toolkit} in both %configure places.
 - Added conditional building for gtk toolkit (--with gtk).
 - Added Patch114 (MathML bug on Gfx:GTK & freetype2, #212400).
 - Added Patch115 (fix crash when closing a javascript opened window, #212415).
 - Added Patch116 (stretch MathML frames, #214989).
> ok :)
 - Added Patch117 (long timeout after IMAP lost of connection, #215371)
 - Added Patch118 (fixing crash when reading signed messages with some certs,
   #213084).
 - Added Patch119 (fixing crash when trying to print a certain page, #214191).
 - Added Patch120, 121 (nsSound::Play, #179138)
 - Added Patch122 (fixing some animated GIF not displayed properly, #208622).
 - Added Patch123 (fixing use of bookmarks root/top root as a target, #210196).
 - Added Patch124 (fixing crash when accessing TR.rowIndex, #211357).
 - Added Patch125 (fixing crash with prompts without a parent window, #211834).
 - Added Patch126 (fixing a problem with <head> and file://, #213416).
 - Added Patch127 (fixing return receipts in newsgroups, #209516).
 - Updated l10n archive.

* Fri Aug  8 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.4-3mdk
- Fix amd64 bridges
- Patch63: Workaround bogus code that happily breaks C++ aliasing
  rules (aka fix miscompilation on AMD64, Mozilla bug #212082)

* Mon Jul  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.4-2mdk
- Really enable l10n
- Use RPM_OPT_CFLAGS

* Fri Jul  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.4-1mdk
- Release 1.4.0
- Lower optimizations, mozilla doesn't like -O3 on gcc 3.3
- Remove patches 34, 61 (merged upstream)
- Regenerate patch33
- Fix gre.conf file
- Enable l10n

* Tue May 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.4-0.beta.1mdk
- Release 1.4 beta
- Enigmail 0.75.0
- Regenerate patches 33, 40
- Remove patches 8 (no longer needed), 51, 60 (merged upstream)
- mklibnamification

* Tue Apr  8 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.4-0.alpha.1mdk
- Release 1.4 alpha
- Enigmail 0.74.1 - ipc 1.0.3
- Update spellchecker CVS snapshot
- Regenerate patch33, patch34 (partially merged), patch36, patch60 (partially merged)
- Remove patch11 (no longer needed)
- Regenerate patch40
- Patch62 (rawhide + ghibo): allow to override UI fonts
- Switch to gcc 3.2..  Only GCC 3.2 Java are supported now (ie Blackdown and Sun 1.4.2beta ATM)

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-1mdk
- Update source0, remove patch 62 (merged upstream)

* Thu Mar 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-0.2mdk
- Update patch60 to fix Mdk bug 
- Patch62 : Fix IMAP folder moving (Mozilla bug #160586)

* Tue Mar 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-0.1mdk
- Fix Mandrake bug 3076
- Update patch 60 to fix crash #196008
- Fix bookmarks

* Tue Mar  4 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-0.final.20020228.2mdk
- Update patch 60 to fix XIM in embedded mozilla (Galeon).. Finally fixes Mdk #2476
- Enforce devel package dependencies

* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-0.final.20020228.1mdk
- CVS Snapshot of 1.3 final branch
- Update Patch 60 (merged partially), enable XIM and add support for fullscreen mode (fix #2476, #2570)
- Remove patch 35, 57 (merged upstream)
- Patch61 (rawhide): allow settings UI font using prefs.

* Mon Feb 24 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0:1.3-0.beta.3mdk
- Add some translations
- Update patch 59 (fix mdk bug 1915)
- Update source10 to not report file not found when no l10n is available
- Patch60 (CVS): update GTK2 code (fix mdk bugs 1678, 1721) 

* Mon Feb 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.3-0.beta.2mdk
- Enigmail 0.73.1, IPC 1.0.2

* Tue Feb 11 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.3-0.beta.1mdk
- Release 1.3beta
- Disable Enigmail, it is not ported to mozilla 1.3beta yet
- Update spellcheck snapshot
- Remove patch58 (merged upstream)

* Thu Jan  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.3-0.alpha.3mdk
- Update Enigmail to 0.71.1 (thanks to Buchan Milne)

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.3-0.alpha.2mdk
- Enforce dependecy on GTK+ >= 2.2.0
- Add some localizations (source7)
- Update patch58 to fix bugs 186621 & 183841
- Patch59, Source23 : add mdk bugzilla to search engines, default search engine is now Google

* Mon Dec 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.3-0.alpha.1mdk
- Release 1.3alpha
- Fix ppc build options
- Regenerate patch 33 (partially merged), 34, 0 (patches 6 & 7 merged inside)
- Fix Java detection for version >= 1.4.0
- Remove patch58 (merged upstream)
- Patch58 (CVS): fix gtk2 gtkxtbin for plugins

* Thu Dec  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.2.1-1mdk
- Release 1.2.1
- Fix configure options for stripping

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.2-3mdk
- Update patch59 to really allow galeon compilation (bug #180700)

* Fri Nov 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.2-2mdk
- Patch 59 (CVS): gtk2 port of gtkmozembed
- put back gcc32 version of mozilla libs for OOo

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.2-1mdk
- Release 1.2
- Enigmail 0.71.0/ipc 1.0.1
- Update source2
- Regenerate patches 34, 47
- Remove source1 & patch22 : we don't ship libjs anymore
- Remove patches 44 & 45 (we now use xft)
- Remove patches 32, 49, 50, 52, 55, 56, 58 (merged upstream)
- Disable xmlterm (not supported with gtk2)

* Wed Nov 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0:1.1-10mdk

* Tue Sep 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-10mdk
- Patch58: security fix for referrer (bug #145579)

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-9mdk
- Add more translations

* Fri Sep  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-8mdk
- Add more translations
- Add mimetype info to menu entry

* Wed Sep  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-7mdk
- Fix typo in patch46. Fix enigmail startup

* Tue Sep  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-6mdk
- Patch57 (Rawhide) : ensure mozilla-rebuild-databases doesn't leave child threads hanging around
- Fix triggers for jdk/jre 1.4.0_01
- Fix symlink removal when uninstalling triggered packages
- Fix duplicated menu entry
- Update patch 42 to official fix => Linux/PPC g++-3 ABI support for XPCOM (bug #142594)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-5mdk
- Remove patch42 since paper detection is done at %post install time
- Patch55 (CVS): fix selection in right-to-left languages (bug #167)
- Patch56 (CVS): fix transparent border being not transparent (bug #45557)

* Thu Aug 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-4mdk
- Default to paper size from locale setting, in %%post scriptlet
- Requires: myspell-dictionary for mozilla-spellchecker package
- Patch53: Our MySpell dictionaries are in /usr/share/dict/ooo/
- Patch54: Hack to handle OOo myspell dictionaries file names. Aka get
  dictionaries list and tr/_/-/ filenames. They will be translated
  back at dictionary load time. May fallback/try with original file
- Move generation of tarball of gcc3.2 compiled Mozilla libs in the
  %%build section. Also ship with regxpcom to regenerate compreg.dat

* Thu Aug 29 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-3mdk
- Update to enigmail 0.65.2 
- Add languages

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-2mdk
- Requires mailcap to have some predefined applications for known mimetypes
- Remove patch 48, it was breaking JS submit buttons
- Patch51 (CVS): fix pref crash (bug #160656)
- Patch52 (CVS): fix icon install (bug #163237)

* Tue Aug 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-1mdk
- Release 1.1 (source grabbed from CVS, no tarball available yet)
- add tarball of Mozilla libs compiled with gcc 3.2 in -devel package for OpenOffice.org package (rawhide)
- Update bookmarks for Mdk 9.0
- Regenerate patch40
- Disable patches 0, 1, 6 1 23 (not needed for final release of Mozilla)
- Remove patch41 (merged upstream)
- Patch48 (CVS): fix crash with simple table/css/form (bug #159359)
- Patch49 (CVS): fix crash on XUL/DOM (bug #119044)
- Patch50 (CVS): fix crash if invalid setStart is set on a Range (bug #149320)

* Mon Aug 19 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.branch.3mdk
- Patch36: Add more xptcall tests from Patch32 + new AddMixedFloats test
- Remove from xptcall tests from Patch32 (gcc31-powerpc-fixes)
- Update Patch33 (x86_64) with the following fixes:
  - Forward float values from registers verbatim, without conversion
  - Save FP registers as double values. Aka use "movsd" instructions
  - Correctly define architecture name as "x86-64"

* Mon Aug 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.1-0.branch.2mdk
- Update Source10 (mozilla script) to be lib64 aware
- Patch33: Add initial port to AMD x86-64 architecture
- Patch34: Fix javascript build on x86-64, we need PIC for DSO
- Patch35: Make the rebuild-databases script lib64 aware
- Remove Patch31 (asmfixes) since Mozilla 1.1 now uses #140412
- Explicitly use gcc2 on ix86 only
- Fix typos in --with[out] gcc2 features
- Use gcc2-version script to get correct version. Aka. don't forcibly
  call gcc-2.96, by default, that's silly

* Tue Aug  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.branch.1mdk
- snapshot from 1.1 final branch
- Remove patches 26 (no longer needed), 29 (merged upstream)
- Remove source8 (merged upstream)
- Regenerate patch41, part has been merged, part is not merged yet
- Regenerate patch40
- Fix typo in freetype2 switch (Buchan Milne)
- New version of ipc + enigmail (Buchan Milne)
- Patch 42 is bach + add switch for the A4 stuff (disabled by default)
- Patch 46: use standard packaging method for enigmail/enigmime (Giuseppe)
- Patch 47: fix include in spellchecker

* Thu Aug  1 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta.2mdk
- Use icons for official packages
- Add missing dir in -devel packages
- Java support is BACK (package build with gcc 2.96)
- remove patch42 (a4 format)

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.1-0.beta.1mdk
- Release 1.1beta
- Regenerate patches 7, 23
- Update source8 since chrome registry has changed name
- Remove patches 28, 30 (merged upstream)
- Remove libc++mem hack (and update source10), it has been merged upstream
- Clean triggers (Giuseppe)
- Patches 0, 1 & 6 are back (remove Debug menu entries)
- Patch42 (Giuseppe): set A4 as default format for printing
- Patch43 (Giuseppe): Fix problem with time font and MathML
- Patch44 & 45 (Giuseppe): enable freetype2 backend by default

* Tue Jul 30 2002 Jeff Garzik <jgarzik@mandrakesoft.com> 1.0.0-10mdk
- BuildRequires: tcsh

* Thu Jul 25 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.0-9mdk
- Automated rebuild with gcc3.2

* Wed Jul 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-8mdk
- Add more translations
- Disable SVG support, it crashes mozilla on W3 SVG test suite 
- From Buchan Milne <bgmilne@cae.co.za> :
  add enigmail (GPG support) and spellchecker

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-7mdk
- Fix plugin trigger when upgrading
- Update source9 to fix real player plugin support (Pixel)

* Thu Jun 27 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-6mdk
- Remove NO_XALF from menu entries
- Replace icons with png versions
- Fix group for dom inspector

* Wed Jun 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.0-5mdk
- Patch31: Fix bogus assembly code in xptcall/i386. Leaf frame pointer
  elimination can be reactivated.
- Patch32: Fix PowerPC support for gcc3.1. Also add new xptcall/tests.
  (Kevin Hendricks)

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-4mdk
- Put nspr and nss librairies back in /usr/lib. This /usr/lib/mozilla-1.0.0
  schemas is really not good at all for these two libs since they are used
  outside mozilla (Evolution for instance)

* Tue Jun 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-3mdk
- Add -mno-omit-leaf-frame-pointer needed since gcc 3.1.1-0.4mdk 
- Update source 10 to fix libc.so.6 errors when JRE 1.3.x is installed (Geoffrey)
- Add missing files from psm to main package
- Update patch 29 (from Mozilla.org rpm)
- Update patch 30 to fix missing headers (from Mozilla.org rpm 1.0.0-9)

* Fri Jun  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-2mdk
- Patch30 (Mozilla.org RPM): export SDK headers too

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.0-1mdk
- Release 1.0.0
- New directory structure (from Mozilla.org RPM)
- Patch 28 (Mozilla.org RPM): add pkgconfig file for nss
- Remove patches 0 & 6 (merged upstream)
- Replace patch 25 with Source9

* Tue May 21 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0-0.rc2.2mdk
- Rebuild with gcc 3.1-1mdk which has the builtin memset() fix
- Fix Source9 (libc++mem) thus enabling rebuild to actually work

* Mon May 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.rc2.1mdk
- Release 1.0rc2
- Java support is BROKEN (because of gcc 3.1 switch).. No need to complain..
- Plugins support is broken for plugins compiled with gcc < 3.x.y 
- Add source 9 + update patch 25 : ugly hack to get some old plugins 
  to work (see bug 124006)
- Fix trigger scripts (Abel Cheung)
- Update patch 7
- Patch 27 (Mozilla.org RPM): make default plugin popup less annoying
- Add source 8 (Mozilla.org RPM): perl version of rebuild-databases

* Wed Apr 24 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.rc1.2mdk
- Enable IPv6 support

* Fri Apr 19 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0-0.rc1.1mdk
- Release 1.0rc1
- Regenerate patches 3, 12
- Remove patch1 (merged upstream)
- Disable translation support, none available yet..

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.9-2mdk
- Grr, really add headers for nspr-devel

* Wed Mar 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.9-1mdk
- Release 0.9.9
- Fix build problem when tmppath doesn't end with /
- Add provides/obsoletes for nspr/nss (compatibility with Blizzard rpms)
- Remove patches 27, 28, 29, 30, 31, 32, 33, 34, 35, 36 (merged upstream)
- Patch13 (CVS): use standard mecanism to generate nspr/nss package
- Update patch 25 to set l10n if only no profile is registered

* Sat Mar 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-10mdk
- Update patch25: don't use -splash at all, it has some strange issues

* Thu Mar 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-9mdk
- Update Basque translation and fix language registration (pablo)
- Update patch25 : don't run with -splash when called with arguments

* Wed Mar 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-8mdk
- Fix errors in bookmark file
- Patch 35 (CVS): fix crash with animated GIF (bug 94336)
- Patch 36 (CVS): fix crash with DOM tree (bug 104310)
- Add Basque translation
- Update patch25 to not autodetect locale if if is given on the command line

* Mon Mar 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-7mdk
- Fix JRE link not removed at uninstallation
- Fix menu entries
- Add some translations
- Update patch 25 to autodetect lang and use l10n if available and add
  -splash when starting mozilla

* Tue Feb 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-6mdk
- Update patch 25 to set MOZ_PLUGIN_PATH to $HOME/.mozilla/plugins
- Patch27 (CVS): fix url bar not responsive (bug 90337) and make Warly happy
- Patch28 (CVS): fix intermittent HTTP connection error (bug 91429)
- Patch29 (CVS): fix Java plugin not scriptable (bug 120390)
- Patch30 (CVS): fix crash when editing text in textarea (bug 115350)
- Patch31 (CVS): fix crash when resizing frame using JS (bug 125124)
- Patch32 (CVS): fix crash in SSL site (bug 121822)
- Patch33 (CVS): fix crash when editing/scrolling To: entries (bug 110165)
- Patch34 (CVS): fix crash in JS regexp (bug 119909)
- Add MandrakeSecure to default bookmark
- Let's try to fix the PSM error again..

* Thu Feb 14 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-5mdk
- Add trigger for FlashPlayer package

* Tue Feb 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-4mdk
- Update bookmarks for Mdk 8.2
- Add alternatives for simplified menu

* Fri Feb  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-3mdk
- Grr, fix database rebuilding at first time (fix PSM error)

* Wed Feb  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-2mdk
- Clean post/postun scripts
- Fix database rebuilding when upgrading
- Add missing svg dtd
- Add some directories to rpm database

* Tue Feb  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.8-1mdk
- Release 0.9.8
- Disable french policy
- Remove patch25, fix registration of Java 1.4 (conflict with beta3, must be
  1.4.0-rc or better)
- Remove patch26 (merged upstream)
- Patch25: fix startup script to handle file on command link (thanks Chmouel)
- Patch26: use POSIX compliant options for cp (needed with latest fileutils)
- Regenerate patch6

* Fri Jan 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-5mdk
- Provides webclient

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-4mdk
- Patch26: fix detection of Java 1.4 (use standard method)

* Tue Jan 15 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-3mdk
- Patch25: fix bug 116829 (File form submission). Thanks to Dan Allen

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-2mdk
- Fix compilation problem with /bin/cat

* Wed Jan  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.7-1mdk
- Release 0.9.7
- Add DOM inspector package
- Regenerate patch 0
- Use soundwrapper to run mozilla (should fix freeze with flash plugin)
- Optimizations are back
- Fix mathML

* Mon Dec 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-4mdk
- Fix epoch problem (grr, should use rpm -Fvh to test upgrade)

* Wed Dec  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-3mdk
- Patch23 (Ximian) : remove buildid from titlebar 
- Patch24 : fix French policy
- Generate libnspr4 and libnss3 from mozilla srpm now
- Remove patch21 (no longer needed)
- Regenerate patch 22 by modifying Makefile include only

* Thu Nov 29 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.6-2mdk
- patch to fix js build on PPC (patch22)

* Thu Nov 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.6-1mdk
- Release 0.9.6
- Regenerate patches 0, 7
- Remove patches 25 (merged upstream) & 27 (no longer needed)
- Patch12 (Blizzard) : set ps default fonts for some asiatic languages
- Lower optimizations
- Add triggers for Java 1.4 packages

* Wed Nov  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-2mdk
- MathML is back
- Add venckman package (Javascript debugger)

* Tue Oct 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.5-1mdk
- Release 0.9.5
- Remove patches 23, 24, 26 (merged upstream)
- Update patch 25 with reviewed fix
- Add mozilla composer menu entry
- Add support for Acroread rpm plugin

* Sun Oct 14 2001 Stew Benedict <sbenedict@mandrakesoft.com> 0.9.4-6mdk
- PPC patches for javascript

* Fri Oct 12 2001 Frederic Lepied <flepied@mandrakesoft.com> 0.9.4-5mdk
- rebuild for libpng3

* Mon Oct  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-4mdk
- Patch25: fix detection of euro locales
- Patch26: don't complain when loading plugin (Mozilla CVS)

* Fri Sep 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-3mdk
- Update source5

* Thu Sep 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-2mdk
- Fix triggers for java/flash/Realplayer
- Patch24: fix topcrash with flash and java

* Sat Sep 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.4-1mdk
- Release 0.9.4
- Regenerate patches 0, 1 and 7
- Remove patches 20 & 22 (merged upstream)

* Mon Sep  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-8mdk
- Add trigger for j2re (new name of jre package)
- Add Mandrake bookmarks

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk
- Argg, apply patch23 for xinerama

* Wed Aug 22 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk
- Regenerate patch7: use local index.html page also at first startup 

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk
- Fix error in Real plugin trigger

* Tue Aug 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk
- Patch23: don't query Xinerama if it is not activated
- Enable Xinerama
- To keep it safe, lower optimizations

* Mon Aug  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk
- This time, optimisations should be ok (remove omit-frame-pointer)
- Fix triggers on package upgrade

* Sun Aug  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Remove some optimizations (was breaking preferences)

* Fri Aug  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-1mdk
- Release 0.9.3
- Remove patches 12, 22, 23, 24 (merged upstream)
- Regenerate patches 0
- Enable more optimizations
- Patch22: fix build (some static lib were not found)

* Wed Aug  1 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-8mdk
- Modify verify options for generated files
- Disable mathml (fix crash reported by Brian J. Murrel)

* Mon Jul 23 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-7mdk
- Fix bad buildid when recompiling package
- new subpackage for javascript library
- resync with Blizzard specfile :
  - Add verify options to three files that change when you install.
  - use official patch for Patch23


* Fri Jul 13 2001 Stefan van der Eijk <stefan@eijk.ni> 0.9.2-6mdk
- BuildRequires:	gtk+-devel
- Removed BuildRequires:	perl
- Removed BuildRequires:	zlib-devel

* Thu Jul  5 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-5mdk
- Patch24: use POSIX compliant switch for cp
- Re-add test on POSIX compliance for cp

* Tue Jul  3 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-4mdk
- Patch22: move umask fix in this patch
- Patch23: don't use readlink in mozilla.sh
- Patch12: fix segfault when exiting with some plugins
- Remove a lot of source file, they are in main tarball

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-3mdk
- Fix detection of j2sdk 1.4

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-2mdk
- Fix source 6 to comply with latest cp
- Ooops, fix bad devel package

* Mon Jul  2 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.2-1mdk
- Release 0.9.2
- Remove patch 12 (merged upstream)

* Thu Jun 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix rebuild-database script with non-standard umask (thanks to Ralf_Ahlbrink)

* Mon Jun 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Patch12: fix problem with Galeon and Nautilus (bug 83157)

* Fri Jun  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-1mdk
- Release 0.9.1
- Regenerate patches 0, 1, 6
- Remove patch 9 & 12 (merged upstream)

* Wed Jun  6 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Workaround for default CA not loaded : add dependency on libnss3 + symlink

* Mon May 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-4mdk
- Add PreReq on libnspr4 (otherwhise mozilla registry are not created 
  at install time)

* Thu May 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-3mdk
- Merge psm back in main package 
- Add xmlterm package
- Use libnspr3 and libnss3 for building mozilla

* Tue May 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Remove patch10 (we only have /usr/share/doc/HTML)

* Mon May 14 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9
- Sync with Mozilla official specfile (0.9-0)
  - Add rebuild-database script
  - Regenerate patches 0, 1, 6
  - Remove patches 12, 13, 21 (merged upstream)
  - Update make package script to put shared libraries in %_libdir

* Mon Apr 30 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-5mdk
- Add trigger for RealPlayer plugin

* Fri Apr 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-4mdk
- Add triggers to detect when Sun Java RPM are installed to install Java plugin
- Resync with Blizzard specfile (0.8.1-3) :
	patch12 : links nspr and other base libraries with libc explicitly
	patch13 : disable rpath => no longer requires to uninstall mozilla rpm to rebuild it

* Fri Apr 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-3mdk
- resync with Blizzard specfile (0.8.1-0 and 2001041017)
- resync with Mdk 0.8-7mdk specfile
- patch for bug 73947 to prevent bug in Nautilus

* Wed Mar 28 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-2mdk
- Use official source tarball

* Tue Mar 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1
- resync with Blizzard specfile (pre-0.8.1-6)
- use CVS snapshot since source tarball is not yet available)
- Update mozilla.sh
- Regenerate patch0, patch7, patch8, patch10
- Remove patch 1 (merged upstream)

* Tue Mar 13 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-2mdk
- Switch to standard theme by default
- Remove focus patch 
- Add specific menu entry for GNOME (workaround for interaction with xalf)
- resync with Blizzard specfile (0.8-2)

* Fri Feb 16 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8-1mdk
- Relese 0.8
- resync with Blizzard specfile (0.8-1)

* Wed Feb  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-3mdk
- Resync with Blizzard specfile (0.7-11)
- Correct postun script => upgrading mozilla should be smooth with future version
  

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-2mdk
- Resync with Blizzard specfile (0.7-3)
- Add missing library for galeon

* Wed Jan 10 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-1mdk
- Release 0.7

* Mon Jan  8 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.7-0.2001010614.1mdk
- Prerelease based on CVS (contains crypto support)
- Merge new patches from Christopher Blizzard (2001010614-0)
- Try to use Java and Flash plugin (need JDK 1.3.0_1 and netscape 4.76 installed)

* Wed Nov  8 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.4mdk
- Rebuild with new libstdc++
- merge new patches from Christopher Blizzard specfile (M18-4) :
		- Add patch for bug 54860 (Linux-psm warning dialog hangs browser)
		- Add patches for bugs 56793 and 56753.

* Mon Oct 16 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.3mdk
- Merge patches from Alexander Skwar :
	-Add missing menu file and icons
	-Add missing dependency

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.2mdk
- Merge Christopher Blizzard (RedHat) specfile

* Fri Oct 13 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M18.1mdk
- Release M18
- Remove old patches

* Wed Aug 30 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0.0-0.M17.4mdk
- Merge specfile and fixes from Christopher Blizzard 
- change again page numbering (should be stable now)..

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-3mdk
- Provide non-corrupted icons

* Fri Aug 25 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-2mdk
- Add correct icons

* Fri Aug 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 5.0_M17-1mdk
- Release M17

* Fri May 05 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-3mdk
- fix menu file

* Fri Mar 03 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.0_M13-2mdk
- add menu entry for sub package mozilla browser

* Fri Feb 25 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 5.0_M13-1mdk
- fixed version-naming --> mozilla-browser needs mozilla-install, not
  mozilla-M13-install.

* Sun Feb 13 2000 Stefan van der Eijk <s.vandereijk@chello.nl>
- M13

* Wed Jan 05 2000 Lenny Cartier <lenny@mandrakesoft.com>
- used srpm from mozilla.org
- bz2 archive
- remove the paths in the post sections
- modified the install section
